<link href="../markdown.css" rel="stylesheet"></link>

<title>11.1. Distributions</title>

<script type="text/javascript" src="http://cdn.mathjax.org/mathjax/latest/MathJax.js?config=TeX-AMS_HTML">
    MathJax.Hub.Config({
        tex2jax: {
            inlineMath: [ ['$','$'], ["\\(","\\)"] ],
            displayMath: [ ['$$','$$'], ["\\[","\\]"] ],},
        TeX: {equationNumbers: {
            autoNumber: "AMS"
          },Augment: {  Definitions: {
           macros: {
             overbracket:  ['UnderOver','23B4',1],
             underbracket: ['UnderOver','23B5',1],
           }
         }}},
    });
</script>

$\renewcommand{\Re}{\operatorname{Re}}$
$\renewcommand{\Im}{\operatorname{Im}}$
$\newcommand{\erf}{\operatorname{erf}}$
$\newcommand{\supp}{\operatorname{supp}}$
$\newcommand{\dag}{\dagger}$
$\newcommand{\const}{\mathrm{const}}$
$\newcommand{\arcsinh}{\operatorname{arcsinh}}$

#Chapter 11. Distributions and weak solutions

> In this Chapter we extend notion of function. These new "functions" (actually most of them are not functions at all) are called *distributions* and are very useful for PDE (and not only). We define them as linear forms on the *test functions* which are some nice functions. For usual function $f$ such form is
\begin{equation\*}
f(\varphi)=\int f(x)\varphi(x)\,dx.
\end{equation*}
We also extend the notion of solution.

##10.1. Distributions
____________________________

> 1.  [Test functions](#sect-11.1.1)
> 2.  [Distributions](#sect-11.1.2)
> 3.  [Operations on distributions](#sect-11.1.3)


###<span id="sect-11.1.1"></span>Test functions
We introduce three main spaces of test functions:

**<span id="definition-11.1.1"></span>Definition 1.**
Let

1. $\mathcal{D}=C\_0^\infty$ is a space of infinitely smooth functions with compact support. It means that for each function $\varphi$ exists $a$ such that $\varphi(x)=0$ as $|x|\ge a$;
2. $\mathcal{E}=C^\infty$ is a space of infinitely smooth functions;
3. $\mathcal{S}$ is a space of infinitely smooth functions which decay at infinity (with all their derivatives faster than any power:
\begin{equation}
|\partial ^m \varphi| (1+|x|)^k \le M\_{mk} \qquad \forall x\, \forall m,k.
\label{eq-11.1.1}
\end{equation}

Loran Schwartz who provided the first systematic theory of distributions used these notations and they became traditional. However we need to explain what does it mean *convergence of test function*:

**<span id="definition-11.1.2"></span>Definition 2.**

1. $\varphi\_n \to \varphi $ in $\mathcal{D}$ iff
$\max |\partial ^m(\varphi\_n -\varphi)|\to 0$ as $n\to \infty$ for all $m$ and also there exist $a$ such that $\varphi\_n(x)=0$ as $|x|\ge a$ for all $n$;
2. $\varphi\_n \to \varphi $ in $\mathcal{E}$ iff
$\max\_{|x|\le a} |\partial ^m(\varphi\_n -\varphi)|\to 0$ as $n\to \infty$ for all $m$, $a$;
3. $\varphi\_n \to \varphi $ in $\mathcal{S}$ iff
\begin{equation}
|\partial ^m (\varphi\_n-\varphi)| (1+|x|)^k \to 0 \qquad \forall x\, \forall m,k.
\label{eq-11.1.2}
\end{equation}

**<span id="thm-11.1.1"></span>Theorem 1.**
\begin{equation}
\mathcal{D} \subset \mathcal{S} \subset \mathcal{E}
\label{eq-11.1.3}
\end{equation}
where $\mathcal{K}\_1\subset\mathcal{K}\_2$ means not only that all elements of $\mathcal{K}\_1$ are also elements of $\mathcal{K}\_2$ but also that $\varphi\_n\overset{\mathcal{K}\_1}{\to}\varphi$ implies that
$\varphi\_n\overset{\mathcal{K}\_2}{\to}\varphi$. Also in (\ref{eq-11.1.3}) each smaller space $\mathcal{K}\_1$ is *dense* in the larger one $\mathcal{K}\_2$: for each $\varphi\in \mathcal{K}\_2$ there exists a sequence
$\varphi\_n\in \mathcal{K}\_1$ converging to $\varphi$ in $\mathcal{K}\_2$.

**<span id="remark-11.1.1"></span>Remark 1.**
Those who studies Real Analysis heard about *Topological Vector Spaces* but we are not going to introduce topology (which is ridiculously complicated on $\mathcal{D}$), just convergence is sufficient for all needs. The same approach is also used in the very advanced cources.

###<span id="sect-11.1.2"></span>Distributions

**<span id="definition-11.1.3"></span>Definition 3.**

1. *Distribution* $f$ (over $\mathcal{K}$) is a continuous linear form on $\mathcal{K}$: $f:\mathcal{K}\to \mathbb{C}$ such that
\begin{gather\*}
f(\alpha\_1 \varphi\_1 + \alpha\_2 \varphi\_2)=
\alpha\_1 f(\varphi\_1)+\alpha\_2 f(\varphi\_2)\qquad \forall \varphi\_1,\varphi\_2\in \mathcal{K}\; \forall \alpha\_1,\alpha\_2\in \mathbb{C};\\\\
\varphi\_n\overset{\mathcal{K}}{\to}\varphi \implies f(\varphi\_n)\to f(\varphi).
\end{gather\*}

2. The space of such linear forms is denoted by $\mathcal{K}'$.

[Theorem 1](#thm-11.1.1) immediately implies

**<span id="thm-11.1.2"></span>Theorem 2.**
\begin{equation}
\mathcal{D}' \supset \mathcal{S}' \supset \mathcal{E}'
\label{eq-11.1.4}
\end{equation}
where $\mathcal{K}'\_1\supset\mathcal{K}'\_2$ means not only that all elements of $\mathcal{K}\_2$ are also elements of $\mathcal{K}\_1$ but also that $f\_n\overset{\mathcal{K}'\_2}{\to} f$ implies that
$f\_n\overset{\mathcal{K}'\_2}{\to}f$. Also in (\ref{eq-11.1.4}) each smaller space $\mathcal{K}'\_2$ is *dense* in the larger one $\mathcal{K}'\_1$: for each $f\in \mathcal{K}'\_1$ there exists a sequence
$f\_n\in \mathcal{K}'\_2$ converging to $f$ in $\mathcal{K}'\_1$.

So far we have not introduced the convergence of distributions, so we do it right now:

**<span id="definition-11.1.4"></span>Definition 4.**
$f\_n\overset{\mathcal{K}'}{\to}f$ iff $f\_n(\varphi)\to f(\varphi)$ for all $\varphi\in \mathcal{K}$.

**<span id="remark-11.1.2"></span>Remark 2.**

1. $\mathcal{E}'$ consists of distributions with compact support:
$f\in \mathcal{D}'$ belongs to $\mathcal{E}'$ iff there exists $a$ such that $f(\varphi)=0$ for all $\varphi$ such that $\varphi (x)=0$ as $|x|\le a$.
2. $\mathcal{S}'$ consists off *temperate distributions*.
3. For $f\in L^1\_{\mathrm{loc}}$ we can define action $f(\varpi)$ on $\mathcal{D}$
\begin{equation}
f(\varphi)=\int f(x)\varphi(x)\,dx
\label{eq-11.1.5}
\end{equation}
where integral is always understood as integral over the whole line $\mathbb{R}$ (or a whole space $\mathbb{R}^d$) and $L^1\_{\mathrm{loc}}$ consists of *locally integrable functions* (notion from the Real Analysis which means that $\int\_{|x|\le a} |f(x)|\,dx <\infty$ for all $a$ but integral is a *Lebesgue integral* which is a natural extension of Riemann integral). One can prove that this form is continuous and thus $f\in \mathcal{D}'$. Due to this we sometimes non–rigorously will write (\ref{eq-11.1.5}) even for distributions which are not ordinary functions.

**<span id="example-11.1.1"></span>Example 1.**
$\delta:=\delta (x)$ is an element of $\mathcal{E}'$ defined as $\delta(\varphi)=\varphi(0)$. It is traditionally called *$\delta$-function* or *Dirac $\delta$-function* despite not being a function but a distribution.

###<span id="sect-11.1.3"></span>Operations on distributions

We introduce operations on distributions as an extension of operations on ordinary functions as long as they make sense.

**<span id="definition-11.1.5"></span>Definition 5.**
*Linear operations*:
\begin{equation}
(\alpha\_1 f\_1 +\alpha\_2 f\_2)(\varphi)=
\alpha\_1 f\_1(\varphi) +\alpha\_2 f\_2(\varphi)
\label{eq-11.1.6}
\end{equation}
for $\alpha\_1,\alpha\_2\in \mathbb{C}$.

**<span id="exercise-11.1.1"></span>Exercise 1.**
Check that for ordinary functions $f\_1,f\_2$ we get a standard definition of $\alpha\_1 f\_1 +\alpha\_2 f\_2$ (in the framework of (\ref{eq-11.1.5})).

**<span id="definition-11.1.6"></span>Definition 6.**
*Shift*. Let $T\_a$ denote a shift of $\varphi$: $(T\_a\varphi)(x) =\varphi (x-a)$. Then
\begin{equation}
(T\_a f)(\varphi)= f(T\_{-a}\varphi).
\label{eq-11.1.7}
\end{equation}
We will write $T\_af$ as $f(x-a)$.

**<span id="exercise-11.1.2"></span>Exercise 2.**

1. Check that for ordinary function $f$ we get a standard definition of $f(x-a)$ (in the framework of (\ref{eq-11.1.5})).
2. Check that for $\delta$ we  $\delta\_a(x):=\delta(x-a)$ is defined as  $\delta\_a (\varphi)= \varphi (a)$.

**<span id="definition-11.1.7"></span>Definition 7.**
*Linear change of variables*.
Let $R\_A$ denote a linear change of variables:
$(R\_A\varphi )(x)= \varphi(Ax)$ where $A$ is a non-degenerate linear transformation. Then
\begin{equation}
(R\_A f)(\varphi)= |\det A|^{-1} f(R\_{A^{-1}}\varphi)
\label{eq-11.1.8}
\end{equation}
We will write $R\_Af$ as $f(Ax)$.

**<span id="exercise-11.1.3"></span>Exercise 3.**

1. Check that for ordinary function $f$ we get a standard definition of $R\_A f$ (in the framework of (\ref{eq-11.1.5})).
2. Check that for $\delta$ we get $ \delta (Ax)= |\det A|^{-1} \delta(x)$.
In particular as $|\det A|=1$ we have $\delta(Ax)=\delta(x)$ and as
$Ax=\lambda x$ (uniform dilatation) $\delta (\lambda x)=\lambda^{-d}\delta(x)$ where $d$ is a dimension. Therefore $\delta$ is *spherically symmetric* and *positively homogeneous of degree $-d$*.

**<span id="definition-11.1.8"></span>Definition 8.**
*Derivative*.  Then
\begin{equation}
(\partial f)(\varphi)= -f (\partial \varphi)
\label{eq-11.1.9}
\end{equation}
where $\partial $ is a first order derivative.

**<span id="exercise-11.1.4"></span>Exercise 4.**

1. Check that for ordinary function $f$ we get a standard definition of $\partial f$ (in the framework of (\ref{eq-11.1.5})). Use integration by parts.
2. Check that for $\delta$ we get $\delta '$:
$\delta'_a (\varphi)=-\varphi'(a)$ (in one dimension and similarly in higher dimensions).
3.  Check that if $\theta(x)$ is a *Heaviside function*: $\theta(x)=1$ as $x\>0$ and $\theta(x)=0$ as $x\le 0$ then $\theta' (x)=\delta(x)$.
4. Check that if $f(x)$ is a smooth function as $x<\ a$ and as $x \> 0$ but with a jump at $a$ then $f'=\overset{\circ}{f}{}'+ (f(a+0)-f(a-0))\delta (x-a)$ where
$f'$ is understood in the sense of distributions and $\overset{\circ}{f}{}'(x)$ is an ordinary function equal to derivative of $f$ as $x\ne a$.
f. Prove that if $f=\ln |x|$ then
$f'(\varphi)= pv \int x^{-1}\varphi (x)\,dx $ where integral is understood as a principal value integral.

Let $g\in C^\infty$. Observe that for $g\varphi \in \mathcal{D}$ and
$g\varphi \in \mathcal{E}$ for $\varphi \in \mathcal{D}$ and
$\varphi \in \mathcal{E}$ respectively. Therefore the following definition makes sense:

**<span id="definition-11.1.9"></span>Definition 9.**
*Multiplication by a function*.
Let either $f\in \mathcal{D}'$ or $f\in \mathcal{E}'$. Then
$gf\in \mathcal{D}'$ or $gf\in \mathcal{E}'$ respectively is defined as
\begin{equation}
(g f)(\varphi)= f (g \varphi).
\label{eq-11.1.10}
\end{equation}

**<span id="exercise-11.1.5"></span>Exercise 5.**

1. Check that for ordinary function $f$ we get a standard definition of $g f$ (in the framework of (\ref{eq-11.1.5})).
2. Prove that $g \delta\_a= g(a)\delta\_a$ (use definitions);
3. Calculate $g\delta '\_a$, $g\delta ''\_a$ (use definitions!).

We cannot define in general the product of two distributions. However in some cases it is possible, f.e. when distributions are of different arguments.

**<span id="definition-11.1.10"></span>Definition 10.**
*Direct product*.
Let $f,g$ be distributions. Then $f(x)g(y)$ (also denoted as $f\otimes g$) is defined as
\begin{equation}
(f g) (\varphi) = f( g(\varphi))
\label{eq-11.1.11}
\end{equation}
where $\varphi=\varphi (x,y)$, then applying $g$ to it we get
$\psi (x):=g(\varphi)$  a test function, and then applying $f$ we get a number. Similarly we get the same $fg$ if we apply first $f$ and then $g$.

**<span id="exercise-11.1.6"></span>Exercise 6.**

1. Check that for ordinary functions $f,g$ we get a standard definition of $fg$ (in the framework of (\ref{eq-11.1.5})).
2. Prove that $ \delta\_{a\_1}(x\_1)\cdots \delta\_{a\_d}(x\_d)=
\delta_a(x)$ with $a=(a\_1,\ldots,a\_d)$, $x=(x\_1,\ldots,x\_d)$ and we have on the left product of $1$-dimensional $\delta$-functions and on the right $n$-dimensional.


---------------

[$\Leftarrow$](../Chapter10/S10.A.html)&nbsp;&nbsp;[$\Uparrow$](../contents.html)&nbsp;&nbsp;[$\Rightarrow$](./S11.2.html)


