<link href="../markdown.css" rel="stylesheet"></link>

<title>11.4. Weak solutions</title>

<script type="text/javascript" src="http://cdn.mathjax.org/mathjax/latest/MathJax.js?config=TeX-AMS_HTML">
    MathJax.Hub.Config({
        tex2jax: {
            inlineMath: [ ['$','$'], ["\\(","\\)"] ],
            displayMath: [ ['$$','$$'], ["\\[","\\]"] ],},
        TeX: {equationNumbers: {
            autoNumber: "AMS"
          },Augment: {  Definitions: {
           macros: {
             overbracket:  ['UnderOver','23B4',1],
             underbracket: ['UnderOver','23B5',1],
           }
         }}},
    });
</script>

$\renewcommand{\Re}{\operatorname{Re}}$
$\renewcommand{\Im}{\operatorname{Im}}$
$\newcommand{\erf}{\operatorname{erf}}$
$\newcommand{\supp}{\operatorname{supp}}$
$\newcommand{\dag}{\dagger}$
$\newcommand{\const}{\mathrm{const}}$
$\newcommand{\arcsinh}{\operatorname{arcsinh}}$



##11.4. Weak solutions
____________________________

> 1.  [Examples](#sect-11.4.1)


###<span id="sect-11.4.1"></span>Examples
Weak solutions occupy a place between ordinary regular solutions and solutions which are distributions, usually when the existence of the former is not proven (or proven yet, or does not have place) and the second do not make sense.

Weak solutions must satisfy certain integral identities which in some sense are equivalent to original equations.

**<span id="example-11.4.1"></span>Example 1.**

1. Consider equation
\begin{equation}
\sum\_{j,k} (a\_{jk}u)\_{x\_jx\_k} + \sum\_{j} (b\_{j}u)\_{x\_j}+cu=f
\label{eq-11.4.1}
\end{equation}
in domain $\Omega$. In the smooth case this equation is equivalent to
\begin{equation}
\iint\_\Omega u \bigl(\sum\_{j,k} a\_{jk}\varphi\_{x\_jx\_k} -
\sum\_{j} b\_{j}\varphi\_{x\_j}+c\varphi )\,dx =\iint\_\Omega f\varphi\,dx
\label{eq-11.4.2}
\end{equation}
for all $\varphi\in C\_0^2(\Omega)$ and we call $u\in C(\Omega)$ (or even worse) *weak solution* to equation  (\ref{eq-11.4.1}) in this case. Note that coefficients may be even discontinuous so we cannot plug into (\ref{eq-11.4.1}) distributions.
2. Consider equation in the *divergent form*
\begin{equation}
\sum\_{j,k} (a\_{jk}u\_{x\_j})\_{x\_k} + \frac{1}{2}\sum\_{j} \bigl[(b\_{j}u)\_{x\_j}+b\_{j}u\_{x_j}+cu=f
\label{eq-11.4.3}
\end{equation}
in domain $\Omega$. In the smooth case this equation is equivalent to
\begin{multline}
\iint\_\Omega  \Bigl(\sum\_{j,k} -a\_{jk}u\_{x\_j}\varphi\_{x\_k}
+\frac{1}{2}\sum\_{j} \bigl[ -b\_{j}u\varphi\_{x\_j}+ b\_{j} u\_{x\_j}\varphi\bigr] + cu\varphi \Bigr)\,dx =\\\\
\iint\_\Omega f\varphi\,dx\qquad
\label{eq-11.4.4}
\end{multline}
for all $\varphi\in C\_0^1(\Omega)$ and we call $u\in C^1(\Omega)$ (or even worse) *weak solution* to equation  (\ref{eq-11.4.3}) in this case. Note that coefficients may be even discontinuous so we cannot plug into (\ref{eq-11.4.3}) distributions.

**<span id="example-11.4.2"></span>Example 2.**
Consider equation (\ref{eq-11.4.3}) again but now we add condition \begin{equation}
\bigl[-\sum\_{jk} a\_{jk}u\_{x\_j}\nu\_k-\frac{1}{2}\sum\_{j}b\_{j}u\nu\_j\bigr]\bigr|\_\Gamma=h
\label{eq-11.4.5}
\end{equation}
where $\nu\_k$ are components of the unit inner normal to $\Gamma$. Then in the smooth case (\ref{eq-11.4.3}) and (\ref{eq-11.4.5}) together are equivalent to
\begin{equation}
Q[u,\varphi]= \iint\_\Omega f\varphi\,dx +\int\_\Gamma h\varphi\,dS
\label{eq-11.4.6}
\end{equation}
which should hold for all $\varphi\in C^1(\mathbb{R}^d)$ (now $\varphi$ is not necessarily $0$ near $\Gamma$!) and we call $u\in C^1(\Omega)$ (or even worse) *weak solution* to problem  (\ref{eq-11.4.3}), (\ref{eq-11.4.5})  in this case. Here $Q[u,\varphi]$ is the left-hand expression in (\ref{eq-11.4.4}).

These examples could be extended to quasilinear or even nonlinear equation. See Burgers equation in [Section 12.1](../Chapter12/S12.1.html).


---------------

[$\Leftarrow$](./S11.3.html)&nbsp;&nbsp;[$\Uparrow$](../contents.html)&nbsp;&nbsp;[$\Rightarrow$](../Chapter12/S12.1.html)


