<link href="../markdown.css" rel="stylesheet"></link>

<title>13.1. Variational theory</title>

<script type="text/javascript" src="https://cdn.mathjax.org/mathjax/latest/MathJax.js?config=TeX-AMS_HTML">
    MathJax.Hub.Config({
        tex2jax: {
            inlineMath: [ ['$','$'], ["\\(","\\)"] ],
            displayMath: [ ['$$','$$'], ["\\[","\\]"] ],},
        TeX: {equationNumbers: {
            autoNumber: "AMS"
          },Augment: {  Definitions: {
           macros: {
             overbracket:  ['UnderOver','23B4',1],
             underbracket: ['UnderOver','23B5',1],
           }
         }}},
    });
</script>

$\renewcommand{\Re}{\operatorname{Re}}$
$\renewcommand{\Im}{\operatorname{Im}}$
$\newcommand{\erf}{\operatorname{erf}}$
$\newcommand{\supp}{\operatorname{supp}}$
$\newcommand{\dag}{\dagger}$
$\newcommand{\const}{\mathrm{const}}$
$\newcommand{\arcsinh}{\operatorname{arcsinh}}$

#Chapter 13. Eigenvalues and eigenfunctions

##13.1. Variational theory
____________________________

> 1.  [Introduction](#sect-13.1.1)
> 1.  [Main variational principles](#sect-13.1.1)
> 2.  [Dependence on parameters](#sect-13.1.2)
> 3.  [Dependence on domain](#sect-13.1.3)

###<span id="sect-13.1.1"></span>Introduction

Consider quadratic forms
\begin{gather}
Q\_0(u)=\\|u\\|^2=\iiint\_\Omega |u|^\,dx;
\label{eq-13.1.1}\\\\
Q(u)= \iiint\_\Omega \\|\nabla u\\|^2\,dx + \iint\_\Sigma \alpha|u|^2\,d\sigma
\label{eq-13.1.2}
\end{gather}
where $\Omega $ is a bounded domain with a smooth boundary  $\Sigma=\partial \Omega$.

Let us consider a variational problem for $Q(u)$ under restriction $\\|u\\|=1$ and
\begin{equation}
u\bigr|\_{\Sigma^-}=0
\label{eq-13.1.3}
\end{equation}
where $\Sigma^-\subset \Sigma$.

Constructing functional $Q\_\lambda (u)= Q(u)-\lambda Q(u)$ and taking it variation we arrive to Euler-Lagrange equation
\begin{equation}
-\Delta u=\lambda u
\label{eq-13.1.4}
\end{equation}
with the boundary conditions
\begin{equation}
u\bigr|\_{\Sigma^-}=0,\qquad
(\partial\_{\boldsymbol{\nu}}u-\alpha u)\bigr|\_{\Sigma^+}=0\qquad \Sigma^+=\Sigma\setminus \Sigma^-
\label{eq-13.1.5}
\end{equation}
where $\boldsymbol{\nu}$ is a unit inner normal.

So we arrived to the eigenvalue problem. We need the following theorems from the Real Analysis:

**<span id="thm-13.1.1"></span>Theorem 1.**
Let $\mathsf{H}$ be  a Hilbert space.  Let $\\|v\_n\\|\le M$; then there exists a subsequence $v\_{n\_k}$ which *converges weakly* in  $\mathsf{H}$:
$(v\_{n\_k}-v, \phi)\to 0$ for all $\phi\in \mathsf{H}$.


**<span id="thm-13.1.2"></span>Theorem 2.**
Let $\Omega$ be a domain of a finite volume with a boundary $\Sigma$. Then any sequence $v\_n$ such that $\\|\nabla v\_n\\||\le M$ and $v\_n|\_\Sigma=0$,  contains a subsequence $v\_{n\_k}$ which converges in $L^2(\Omega)$:
$\\|v\_{n\_k}-v\\|\to 0$ for some $v\in L^2(\Omega)$, $\nabla v\in L^2(\Omega)$.

**<span id="thm-13.1.3"></span>Theorem 3.**
Let $\Omega$ be a bounded domain with a smooth boundary. Then

1. $v\in L^2(\Omega)$, $\nabla v\in L^2(\Omega)$ imply that $v\in L^2(\Sigma)$;
2. any sequence $v\_n$ such that $\\|v\_n\\|+\\|\nabla v\_n\\||\le M$
contains a subsequence $v\_{n\_k}$ which converges in $L^2(\Omega)$ and also converges in $L^2(\Sigma)$: $\\|v\_{n\_k}-v\\|\_{L^2(\Sigma)}\to 0$
to some $v\in L^2(\Omega)\cap L^2(\Sigma)$, $\nabla v\in L^2(\Omega)$;
3. For any $\epsilon>0$ there exists $C\_\epsilon$ such that
\begin{equation}
\\|v\\|\_{L^2(\Sigma)}\le \epsilon \\|\nabla v\\|+ C\_\epsilon \\|v\\|.
\label{eq-13.1.6}
\end{equation}

**<span id="remark-13.1.1"></span>Remark 1.**
Actually one need only assume that $\Sigma^+$ is bounded and smooth.


###<span id="sect-13.1.2"></span>Main variational principles

**<span id="thm-13.1.4"></span>Theorem 4.**
Let $\Omega$ be a bounded domain with the smooth boundary. Then

1. there exists a sequence of eigenvalues $\lambda_1\le \lambda\_2\le \lambda\_3\le \ldots $, $\lambda\_k\to \infty$ and a sequence of corresponding eigenfunctions $u\_1,u\_2,\ldots $ which forms a basis in $L^2(\Omega)$;
2. Variational problem of minimizing $Q(u)$ under constrains $\\|u\\|=1$ and (\ref{eq-13.1.3}) has solution $u\_1$ and this minimum is $\lambda\_1$.
3. Variational problem of minimizing $Q(u)$ under constrains $\\|u\\|=1$, (\ref{eq-13.1.3}) and $(u,u\_1)=(u,u\_2)=\ldots=(u,u\_{n-1})=0$ has solution $u\_n$ and this minimum is $\lambda\_n$.



*Proof.*
1. Let us prove first that $u\_1$ exists. Let us consider minimizing sequence $v\_m$ for $Q(u)$ under constrain $\\|v\_m\\|=1$.  Observe that due to
[Theorem 3](#thm-13.1.3)(c)
\begin{equation}
\\|\nabla v\\|_{L^2(\Sigma)}^2 \le (1-\epsilon )Q(v)+ C\_\epsilon \\|v\\|^2.
\label{eq-13.1.7}
\end{equation}
Then we have $\\| v\_m\\|+\\|\nabla v\_m\\|\le M$ and in virtue of
[Theorem 1](#thm-13.1.1) and either [Theorem 2](#thm-13.1.2) or
[Theorem 3](#thm-13.1.3) there is a subsequence
$v\_{m\_k}$ converging to some $v$ both in $L^2(\Omega)$ and weakly in
$\mathsf{K}=\\{v: \\|v\\|\_{\mathsf{K}}<\infty,\, u|\_{\Sigma^-}=0\\}$ with $\\|v\\|\_{\mathsf{K}}=\bigl(C\_0\\|v\\|^2 +Q(v)\bigr)^{\frac{1}{2}}$.
Then $\\|v\\|=1$ and  $Q(v)$ is minimal. We skip the proof.

2. Similarly we prove existence $\lambda\_n,u\_n$ by induction. Now we claim that $\lambda\_n\to \infty$. Indeed if it is not the case then
$\\|u\_n\\|=1$ and $\\|\nabla u\_n\\|\le M$ for some $M$; then in virtue of either [Theorem 2](#thm-13.1.2) or [Theorem 3](#thm-13.1.3) there exists a subsequence $u\_{n\_k}$ converging in $L^2(\Omega)$ which is impossible since $u\_{n\_k}$ are mutually orthogonal and $\\| u\_{n\_k}-u\_{n\_l}\\|^2=2$ as $k\ne l$.

3. Further, observe that $u\_n$ are orthogonal in $\mathsf{K}$. Let us prove that system $u\_n$ is complete in $\mathsf{K}=$. If it is not the case then there exists $u\in \mathsf{K}$ which is orthogonal to all $u\_n$. But then
$(u\_n, u)\_{\mathsf{K}}= (-\Delta u\_n, u) + C\_0 (u\_n,u)= (\lambda\_n+C_0) (u\_n,u)$ and therefore $u$ is orthogonal to all $u\_n$ in $L^2(\Omega)$ as well. But then since $\lambda\_k\to \infty$ and $Q(u)< \infty$ we conclude that $u$ must appear as a minimizing element in the sequence which is the contradiction.

4. Finally, $u\_n$ is complete in $L^2(\Omega)$ as well. It follows from completeness in $\mathsf{K}$ and the fact that $\mathsf{K}$ is dense in $L^2(\Omega)$. The latter proof is elementary but we skip it as well.


**<span id="remark-13.1.2"></span>Remark 2.**
If $\Sigma=\Sigma^-$ we do not need to assume that $\Sigma$ is smooth or even $\Omega$ is bounded; it is sufficient to assume that it has a finite volume (but even this is not necessary!)

**<span id="corollary-13.1.1"></span>Corollary 1.**
Consider $n$–dimensional subspace $L\subset \mathsf{H}=\\{u\in C^1(u), u|\_{\Sigma^-}=0\\}$. Let $\mu\_n (L)= \max\_{u\in L:\, \\|u\\|=1} Q(u)$. Then
\begin{equation}
\lambda\_n =\min\_{L\subset \mathsf{H}: \, \dim(L)=n} \mu\_n (L)=
\min\_{L\subset \mathsf{H}: \, \dim(L)=n} \ \max\_{u\in L:\, \\|u\\|=1} Q(u)
\label{eq-13.1.8}
\end{equation}

*Proof.* If $L$ is a span of $u\_1,\ldots,u\_n$ then $\lambda\_n(L)=\lambda\_n$ so the right-hand expression is not greater than the left=hand one. On the other hand, if $L$ is not a span of $u\_1,\ldots,u\_n$ then there exists
$u\in L,\, u\ne 0$ which is orthogonal to $u\_1,\ldots,u\_n$ and therefore $Q(u)\ge \lambda\_{n+1}\\|u\\|^2$.

###<span id="sect-13.1.3"></span>Dependence on parameters

**<span id="thm-13.1.5"></span>Theorem 5.**

1. Eigenvalues $\lambda\_n=\lambda\_n(\alpha)$ does not decrease as $\alpha$ increases;
2. Eigenvalues $\lambda\_n=\lambda\_n(\Sigma^-)$ does not decrease as $\Sigma^-$ increases;
3. As $\alpha\to +\infty$  these eigenvalues $\lambda\_n=\lambda\_n(\alpha)$ tend to $\lambda\_{D,n}$ which are eigenvalues of Dirichlet problem (i.e. when $\Sigma^-=\Sigma$).

*Proof.*

1. As $\alpha $ increases then $Q(u)$ also increases and then the right-hand expression in (\ref{eq-13.1.6}) cannot decrease.

2. As we increase $\Sigma^-$ we make space $\mathsf{H}$ only smaller and thus make smaller the choice of  $n$-dimensional subspaces $L$ so the right-hand expression in (\ref{eq-13.1.6}) cannot decrease.

3. Therefore $\lambda\_n \le \lambda\_{D,n}$. Then as $\alpha\to +0$ expressions $\alpha \iint\_{\Sigma}|u\_n(\alpha)|^2\,d\sigma$ are bounded by $\lambda\_{D,n}$ and therefore $u|\_\Sigma\to +0$. Assume that $\lambda\_n(\alpha)\le \mu\_n$ for all $\alpha$. Then by means of Real Analysis one can prove that there is a sequence $\alpha\_k\to +\infty$ such that $u\_n(\alpha\_k)\to v\_n$ and $\\|\nabla v\_n\\|^2 \le \mu\_n$, $v\_n|\_\Sigma=0$ and $\\|v\_n\\|=1$. But then $\mu\_n \ge \lambda\_n$. Therefore $\lambda\_n=\mu\_n$ and $\lambda\_n(\alpha)\to \\lambda\_{D,n}$.

###<span id="sect-13.1.4"></span>Dependence on domain

Consider now *only* Dirichlet boundary problem.

**<span id="thm-13.1.6"></span>Theorem 6.**
Eigenvalues $\lambda\_n=\lambda\_{D,n}(\Omega)$ does not increase as $\Omega$ increases.

*Proof.*
If $\Sigma^-=\Sigma$ we can identify $\mathsf{H}=\mathsf{H}(\Omega)$ with
$\\{u:\, \nabla u\in L^2(\mathbb{R}^d), \ u=0 \ \text{on  } \ \mathbb{R}^d\setminus\bar{\Omega}\\}$ where $\bar{\Omega}$ is a closure of $\Omega$. Then
\begin{equation\*}
Q(u)=\int |\nabla u|^2\, dx,\qquad Q_0(u)=\int | u|^2\, dx
\end{equation*}
with integrals taken over $\mathbb{R}^d$. Therefore as $\Omega$ increases then $\mathsf{H}(\Omega)$ increases and the choice of $L$ increases, so the right-hand expression in (\ref{eq-13.1.6}) cannot increase.

**<span id="remark-13.1.3"></span>Remark 3.**
This statement holds only for Dirichlet eigenvalues.


**<span id="thm-13.1.7"></span>Theorem 7.**
Let vary $\Omega$ by moving by $h$ into direction of $\mathbf{\nu}$ (where $h$ is a small function on $\Sigma$. Then for a simple eignevalue $\lambda\_n$
\begin{equation}
\delta \lambda\_{D,n} = \frac{1}{\\|u\_n \\|^2}\int \_\Sigma  h|\partial\_{\boldsymbol{\nu}}  u\_n|^2 \,d\sigma .
\label{eq-13.1.9}
\end{equation}


*Proof.* Consider $u\_n+\delta u\_n$ matching to a new domain. Since it must be $0$  on the new boundary, modulo smaller terms we conclude that it is
$u\_n+\delta u\_n =-h \partial\_{\boldsymbol{\nu}} u\_n $ on the old boundary $\Sigma$ and since $u\_n=0$ there we conclude that
\begin{equation}
\delta u\_n = -h \partial\_{\boldsymbol{\nu}}u\_n \qquad \text{on }\ \Sigma.
\label{eq-13.1.10}
\end{equation}
On the other hand $(\Delta +\lambda\_n +\delta \lambda\_n)(u\_n+\delta u\_n)=0$ and then modulo smaller terms we conclude that
\begin{equation}
(\Delta +\lambda\_n) \delta u\_n = -\delta \lambda\_n u\_n.
\label{eq-13.1.11}
\end{equation}
Let us multiply by $u\_n$ and integrate over $\Omega$; the left-hand expression becomes
\begin{multline}
\int \_\Omega (\Delta +\lambda\_n) \delta u\_n \cdot u\_n \,dx =\\\\
\int \_\Omega \delta u\_n \cdot (\Delta +\lambda\_n)  u\_n \,dx
-\int \_\Sigma \partial\_{\boldsymbol{\nu}} \delta u\_n \cdot u\_n \,d\sigma
+\int \_\Sigma \delta u\_n \cdot \partial\_{\boldsymbol{\nu}}  u\_n \,d\sigma= \\\\
-\int \_\Sigma  h|\partial\_{\boldsymbol{\nu}}  u\_n|^2 \,d\sigma
\label{eq-13.1.12}
\end{multline}
where we used that $ (\Delta +\lambda\_n)  u\_n=0$, $u\_n|\_\Sigma=0$ and (\ref{eq-13.1.10}).

Meanwhile the right-hand expression becomes $-\delta \lambda\_n \\|u\_n\\|^2$. Since it i must be equal to the right-hand expression of (\ref{eq-13.1.12}) we arrive to (\ref{eq-13.1.9}).


---------------

[$\Leftarrow$](../Chapter12/S12.4.html)&nbsp;&nbsp;[$\Uparrow$](../contents.html)&nbsp;&nbsp;[$\Rightarrow$](./S13.2.html)


