<link href="../markdown.css" rel="stylesheet"></link>

<title>14.2. Maxwell equations</title>

<script type="text/javascript" src="https://cdn.mathjax.org/mathjax/latest/MathJax.js?config=TeX-AMS_HTML">
    MathJax.Hub.Config({
        tex2jax: {
            inlineMath: [ ['$','$'], ["\\(","\\)"] ],
            displayMath: [ ['$$','$$'], ["\\[","\\]"] ],},
        TeX: {equationNumbers: {
            autoNumber: "AMS"
          },Augment: {  Definitions: {
           macros: {
             overbracket:  ['UnderOver','23B4',1],
             underbracket: ['UnderOver','23B5',1],
           }
         }}},
    });
</script>

$\renewcommand{\Re}{\operatorname{Re}}$
$\renewcommand{\Im}{\operatorname{Im}}$
$\newcommand{\erf}{\operatorname{erf}}$
$\newcommand{\dag}{\dagger}$
$\newcommand{\const}{\mathrm{const}}$

##14.2. Maxwell equations
-----

> 1. [General](#sect-14.2.1)
> 2. [No charge and no current](#sect-14.2.2)
> 3. [Field in the conductor](#sect-14.2.3)

###<span id="sect-14.2.1"></span>General

\begin{align}
&\nabla \cdot \mathbf{E} = \frac{\rho}{\varepsilon\_0}\label{eq-14.2.1}\\\\
&\nabla \cdot \mathbf{B} = 0\label{eq-14.2.2}\\\\
&\nabla \times \mathbf{E} = -\frac {\partial \mathbf{B}}{\partial t}\label{eq-14.2.3}\\\\
&\nabla \times \mathbf{B} = \mu\_0 \mathbf{J} + \mu\_0\varepsilon\_0  \frac{\partial \mathbf{E}}{\partial t}\label{eq-14.2.4}
\end{align}
where $\rho$ and $\mathbf{J}$ are density of charge and current, respectively.
[See in Wikipedia](http://en.wikipedia.org/wiki/Mathematical_descriptions_of_the_electromagnetic_field#Maxwell.27s_equations_in_the_vector_field_approach) .

**<span id="remark-14.2.1"></span>Remark 1.**

1.  Equation (\ref{eq-14.2.1})  is  a *Gauss' law*,
    (\ref{eq-14.2.2})  is  a *Gauss' law for magnetism,*
    (\ref{eq-14.2.3})  is  a *Faraday's law of induction*.

2. Equations (\ref{eq-14.2.1}) and (\ref{eq-14.2.4}) imply *continuity equation*
\begin{equation}
\rho_t + \nabla \cdot \mathbf{J}=0.
\label{eq-14.2.5}
\end{equation}

###<span id="sect-14.2.2"></span>No charge and no current
In absence of the charge and current we get
\begin{equation\*}
\mathbf{E}\_t=\mu^{-1}\varepsilon^{-1}\nabla \times \mathbf{B},\qquad \mathbf{B}\_t =-\nabla \times \mathbf{E}
\end{equation\*}
and then
\begin{multline\*}
\mathbf{E}\_{tt}=\mu^{-1}\varepsilon^{-1}\nabla \times \mathbf{B}\_t= -\mu^{-1}\varepsilon^{-1}\nabla \times (\nabla \times \mathbf{E})=\\\\\mu^{-1}\varepsilon^{-1}\bigl( \Delta \mathbf{E}-\nabla (\nabla \cdot \mathbf{E})\bigr)=\mu^{-1}\varepsilon^{-1}\Delta \mathbf{E};
\end{multline\*}
so we get a wave equation
\begin{equation}
\mathbf{E}_{tt}=c^2\Delta \mathbf{E}
\label{eq-14.2.6}
\end{equation}
with $c=1/\sqrt{\mu\varepsilon}$.

###<span id="sect-14.2.3"></span>Field in the conductor

On the other hand, if we have a *relatively slowly changing field in the conductor*, then $\rho=0$, $\mathbf{J}=\sigma \mathbf{J}$ where $\sigma$ is a conductivity and we can neglect the last term in (\ref{eq-14.2.4}) and
$\nabla \times \mathbf{B} = \mu\sigma \mathbf{E}$ and
\begin{multline\*}
\mathbf{B}\_t=-\nabla \times \mathbf{E}=\mu^{-1}\sigma^{-1}\nabla \times (\nabla \times \mathbf{B})=\\\\
\mu^{-1}\sigma^{-1}(\Delta \mathbf{B}-\nabla (\nabla\cdot\mathbf{B}))=
\mu^{-1}\sigma^{-1}(\Delta \mathbf{B})\end{multline\*}
so $\mathbf{B}$ satisfies heat equation
\begin{equation}
\mathbf{B}\_t=\mu_0^{-1}\sigma^{-1}\Delta \mathbf{B}.
\label{eq-14.2.7}
\end{equation}

_________

[$\Leftarrow$](./S14.1.html)&nbsp;&nbsp;[$\Uparrow$](../contents.html)&nbsp;&nbsp;[$\Rightarrow$](./S14.3.html)
