<link href="../markdown.css" rel="stylesheet"></link>

<title>Problems to Section 2.3</title>

<script type="text/javascript" src="https://cdn.mathjax.org/mathjax/latest/MathJax.js?config=TeX-AMS_HTML">
    MathJax.Hub.Config({
        tex2jax: {
            inlineMath: [ ['$','$'], ["\\(","\\)"] ],
            displayMath: [ ['$$','$$'], ["\\[","\\]"] ],},
        TeX: {equationNumbers: {
            autoNumber: "AMS"
          },Augment: {  Definitions: {
           macros: {
             overbracket:  ['UnderOver','23B4',1],
             underbracket: ['UnderOver','23B5',1],
           }
         }}},
    });
</script>

$\renewcommand{\Re}{\operatorname{Re}}$
$\renewcommand{\Im}{\operatorname{Im}}$
$\newcommand{\erf}{\operatorname{erf}}$
$\newcommand{\dag}{\dagger}$
$\newcommand{\const}{\mathrm{const}}$
$\newcommand{\arcsinh}{\operatorname{arcsinh}}$

###Problems

> 1. [Problem 1](#problem-2.3.P.1)
> 2. [Problem 2](#problem-2.3.P.2)
> 3. [Problem 3](#problem-2.3.P.3)
> 4. [Problem 4](#problem-2.3.P.4)
> 5. [Problem 5](#problem-2.3.P.5)
> 6. [Problem 6](#problem-2.3.P.6)
> 7. [Problem 7](#problem-2.3.P.7)
> 8. [Problem 8](#problem-2.3.P.8)
> 9. [Problem 9](#problem-2.3.P.9)
> 10. [Problem 10](#problem-2.3.P.10)
> 11. [Problem 11](#problem-2.3.P.11)


**<span id="problem-2.3.P.1"></span>Problem 1.**
Find the general solutions of
\begin{gather}
u\_{tt}-u\_{xx}=0;
\\\\
u\_{tt}-4u\_{xx}=0;
\\\\
u\_{tt}-9u\_{xx}=0;
\\\\
4u\_{tt}-u\_{xx}=0;
\\\\
4u\_{tt}-9u\_{xx}=0.
\end{gather}




**<span id="problem-2.3.P.2"></span>Problem 2.**
Solve IVP
\begin{equation}
\left\\{\begin{aligned}
&u\_{tt}-c^2u\_{xx}=0,
\\\\
&u|\_{t=0}=g(x),\quad u\_t|\_{t=0}=h(x)
\end{aligned}\right.
\end{equation}
with
\begin{align}
&g(x)=\left\\{\begin{aligned}
            &0 &&x \< 0,\\\\
            &1 &&x \ge 0.
            \end{aligned}\right.
&&h(x)=0;
\\\\
&g(x)=\left\\{\begin{aligned}
            &1 &&|x| \< 1,\\\\
            &0 &&|x| \ge 1.
            \end{aligned}\right.
&&h(x)=0;
\\\\
&g(x)=\left\\{\begin{aligned}
            &\cos (x) &&|x| \< \pi/2,\\\\
            &0 &&|x| \ge \pi/2.
            \end{aligned}\right.
&&h(x)=0;
\end{align}
\begin{align}
&g(x)=0,\ && h(x)=1;
\\\\
&g(x)=0, &&h(x)=\left\\{\begin{aligned}
            &0 &&x \<  0,\\\\
            &1 &&x \ge 0.
            \end{aligned}\right.
\\\\
&g(x)=0, &&h(x)=\left\\{\begin{aligned}
            &1 &&|x| \< 1,\\\\
            &0 &&|x| \ge 1.
            \end{aligned}\right.
\\\\
&g(x)=0, &&h(x)=\left\\{\begin{aligned}
            &\cos (x) &&|x| \< \pi/2,\\\\
            &0 &&|x| \ge \pi/2.
            \end{aligned}\right.
\end{align}


**<span id="problem-2.3.P.3"></span>Problem 3.**
Find solution to equation
\begin{equation}
Au\_{tt}+2Bu\_{tx}+Cu\_{xx}=0
\end{equation}
as
\begin{equation}
u=f(x-c\_1 t)+ g(x-c\_2t)
\end{equation}
with arbitrary $f,g$ and real $c\_1< c_2$.

1. What equation should satisfy $c\_1$ and $c\_2$?
2. When this equation has such roots?

**<span id="problem-2.3.P.4"></span>Problem 4.**

A spherical wave is a solution of the three-dimensional wave equation of
the form $u(r, t)$, where r is the distance to the origin (the
spherical coordinate). The wave equation takes the form
\begin{equation}
u\_{tt} = c^2 \bigl(u\_{rr}+\frac{2}{r}u\_r\bigr)
\qquad\text{("spherical wave equation").}
\label{eq-4a}
\end{equation}

1.  Change variables $v = ru$ to get the equation for $v$:
 $v\_{tt} = c^2 v\_{rr}$.
2.  Solve for $v$ using
\begin{equation}
v = f(r+ct)+g(r-ct)
\end{equation}
and thereby solve the spherical wave   equation.
3.  Use
\begin{equation}
v(r,t)=\frac{1}{2}\bigl[
\phi (r+ct)+\phi (r-ct)\bigr]+\frac{1}{2c}\int\_{r-ct}^{r+ct}\psi (s) \,ds
\end{equation}
with $\phi(r)=v(r,0)$,  $\psi(r)=v\_t(r,0)$ to solve it with initial conditions $u(r, 0) = \Phi (r)$, $u\_t(r, 0) = \Psi(r)$.
4.  Find the general form of solution $u$ to (\ref{eq-4a}) which is continuous as $r=0$.


**<span id="problem-2.3.P.5"></span>Problem 5.**
Find formula for solution of the *Goursat problem*
\begin{align}
&u\_{tt} - c^2 u\_{xx}=0, && x \> c|t|, \\\\
&u|\_{x=-ct}=g(t),  && t\<0, \\\\
&u|\_{x=ct}=h(t),   &&t \> 0
\end{align}
as long as $g(0)=h(0)$.

**<span id="problem-2.3.P.6"></span>Problem 6.**
Often solution in the form of *travelling wave* $u=\phi (x-vt)$ is sought for more general equations. Here we are interested in the bounded solutions, especially in those with $\phi(x)$ either tending to $0$ as $|x|\to \infty$ (solitons)  or periodic (kinks).  Plugging such solution to equation we get ODE for function $\phi$, which could be either solved or at least explored.
Sure we are not interested in the trivial solution which is identically equal to $0$.

1. Find such solutions for each of the following equations
\begin{align}
&u\_{tt}-c^2 u\_{xx}+m^2 u=0;\\\\
&u\_{tt}-c^2 u\_{xx}-m^2 u=0;
\end{align}
the former is *Klein-Gordon equation*. Describe all possible velocities $v$.
2. Find such solutions for each of the following equations
\begin{align}
&u\_{t}-K  u\_{xxx}=0;\\\\
&u\_{t} - iKu\_{xx} =0;\\\\
&u\_{tt}+Ku\_{xxxx}=0.
\end{align}

**<span id="problem-2.3.P.7"></span>Problem 7.**
Look for solutions in the form of travelling wave for sine-Gordon equation
\begin{equation}
u\_{tt}-c^2 u\_{xx}+\sin(u)=0.
\end{equation}
observe that resulting ODE is describing *mathematical pendulum* which could be explored. Describe all possible velocities $v$.

**<span id="problem-2.3.P.8"></span>Problem 8.**
Look for solutions in the form of travelling wave for each of the following  equations
\begin{align}
u\_{tt}-u\_{xx}+u -2u^3=0;
\\\\
u\_{tt}-u\_{xx}-u +2u^3=0;
\end{align}

1. Describe kinks. Describe all possible velocities $v$.
2. Find solitons. Describe all possible velocities $v$.


**<span id="problem-2.3.P.9"></span>Problem 9.**
For a solution $u(x, t)$ of the wave equation $u\_{tt}=c^2u\_{xx}$, the *energy density* is defined as
$e=\frac{1}{2}\bigl(u\_t^2+c^2 u\_x^2\bigr)$ and the *momentum density* as $p =c u\_t u\_x$.

1.  Show that
\begin{equation}
\frac{\partial e}{\partial t} = c\frac{\partial p}{\partial x} \qquad \text{and} \qquad \frac{\partial p}{\partial t} = c\frac{\partial e}{\partial x}. \label{eq-HA2.11}
\end{equation}
2.  Show that both $e(x, t)$ and $p(x,t)$ also satisfy the same wave equation.

**<span id="problem-2.3.P.10"></span>Problem 10.**

1. Consider wave equation $u\_{tt}-u\_{xx}=0$ in the rectangle $0\< x\< a$, $0\< t \< b$ and prove that if $a$ and $b$ are not *commensurable* (i.e. $a:b$ is not rational) then Dirichlet problem $u|\_{t=0}=u\_{t=b}=u|\_{x=0}=u|_{x=a}=0$ has only trivial solution.
2. On the other hand, prove that if $a$ and $b$ are  *commensurable* then there exists a nontrivial solution $u=\sin (px/a)\sin (qt/b)$.


**<span id="problem-2.3.P.11"></span>Problem 11.**

Generalize [Problem 4](#problem-2.3.P.4):

A spherical wave is a solution of the $n$-dimensional wave equation of the form $u(r, t)$, where r is the distance to the origin (the spherical coordinate). The wave equation takes the form
\begin{equation}
u\_{tt} = c^2 \bigl(u\_{rr}+\frac{n-1}{r}u\_r\bigr)
\qquad\text{("spherical wave equation").}
\label{eq-4b}
\end{equation}

1. Show that if $u$ satisfies (\ref{eq-4b}) then $r^{-1}\partial_r u(r,t)$ also satisfies (\ref{eq-4b}) but with $n$ replaced by $n+2$.
2. Using this and [Problem 4](#problem-2.3.P.4) write down spherical wave for odd $n$.
3. Describe spherical wave for $n=1$.

**<span id="remark-2.3.P.1"></span>Remark 1.**
For even $n$ spherical waves do not exist.
______

[$\Uparrow$](../contents.html)&nbsp;&nbsp;[$\uparrow$](./S2.3.html)&nbsp;&nbsp;[$\Rightarrow$](./S2.4.html)

