<link href="../markdown.css" rel="stylesheet"></link>

<title>Problems to Section 2.7</title>

<script type="text/javascript" src="https://cdn.mathjax.org/mathjax/latest/MathJax.js?config=TeX-AMS_HTML">
    MathJax.Hub.Config({
        tex2jax: {
            inlineMath: [ ['$','$'], ["\\(","\\)"] ],
            displayMath: [ ['$$','$$'], ["\\[","\\]"] ],},
        TeX: {equationNumbers: {
            autoNumber: "AMS"
          },Augment: {  Definitions: {
           macros: {
             overbracket:  ['UnderOver','23B4',1],
             underbracket: ['UnderOver','23B5',1],
           }
         }}},
    });
</script>

$\renewcommand{\Re}{\operatorname{Re}}$
$\renewcommand{\Im}{\operatorname{Im}}$
$\newcommand{\erf}{\operatorname{erf}}$
$\newcommand{\dag}{\dagger}$
$\newcommand{\const}{\mathrm{const}}$
$\newcommand{\arcsinh}{\operatorname{arcsinh}}$

###Problems

> 1. [Problem 1](#problem-2.7.P.1)
> 2. [Problem 2](#problem-2.7.P.2)
> 3. [Problem 3](#problem-2.7.P.3)
> 4. [Problem 4](#problem-2.7.P.4)
> 5. [Problem 5](#problem-2.7.P.5)



**<span id="problem-2.7.P.1"></span>Problem 1.**
For equation
\begin{equation}
u\_{tt}-c^2 u\_{xx}+ f(u)=0, \qquad x\> 0
\end{equation}
prove  energy conservation law
\begin{equation}
E(t)=\frac{1}{2}\int\_0^\infty \bigl(u\_t^2+ c^2 u\_{x}^2+F(u)\bigr)\,dx
\end{equation}
under Dirichlet ($u|\_{x=0}=0$) or Neumann ($u\_x|\_{x=0}=0$) boundary condition; here $F$ is a primitive of $f$.


**<span id="problem-2.7.P.2"></span>Problem 2.**
For *beam equation*
\begin{equation}
u\_{tt}+K u\_{xxxx}=0, \qquad x\> 0,\\\\
\end{equation}
prove  energy conservation law
\begin{equation}
E(t)=\frac{1}{2}\int\_0^\infty (u\_t^2+ K u\_{xx}^2)\,dx
\end{equation}
under each of the pair of the boundary conditions:
\begin{align}
&u|\_{x=0}=u\_x |\_{x=0}=0;\\\\
&u|\_{x=0}=u\_{xxx} |\_{x=0}=0;\\\\
&u\_{x}|\_{x=0}=u\_{xx} |\_{x=0}=0.
\end{align}

**<span id="problem-2.7.P.3"></span>Problem 3.**
a. For problem
\begin{equation}
\left\\{\begin{aligned}
&u\_{tt}-c^2 u\_{xx}=0, &&x \>0,\\\\
&(\alpha\_0 u\_x+\alpha\_1 u)|\_{x=0}=0
\end{aligned}\right.
\end{equation}
find energy conservation law
\begin{equation}
E(t)=\frac{1}{2}\int\_0^\infty (u\_t^2+ c^2 u\_{x}^2)\,dx + \frac{1}{2}a u(0)^2
\end{equation}
(you need to calculate $a$).

b. For problem
\begin{equation}
\left\\{\begin{aligned}
&u\_{tt}-c^2 u\_{xx}=0, &&0\< x \< l,\\\\
&(\alpha\_0 u\_x+\alpha\_1 u)|\_{x=0}=0,\\\\
&(\beta\_0 u\_x-\beta\_1 u)|\_{x=l}=0
\end{aligned}\right.
\end{equation}
find energy conservation law
\begin{equation}
E(t)=\frac{1}{2}\int\_0^\infty (u\_t^2+ c^2 u\_{x}^2)\,dx + \frac{1}{2}a u(0)^2+ \frac{1}{2}b u(l)^2
\end{equation}
(you need to calculate $a$, $b$).

**<span id="problem-2.7.P.4"></span>Problem 4.**
For problem
\begin{equation}
\left\\{\begin{aligned}
&u\_{tt}-c^2 u\_{xx}=0, &&x \>0,\\\\
&(u\_x-i\alpha u\_t)|\_{x=0}=0
\end{aligned}\right.
\end{equation}
with real $\alpha$ prove energy conservation law
\begin{equation}
E(t)=\frac{1}{2}\int\_0^\infty (|u\_t|^2+ c^2 |u\_{x}|^2)\,dx.
\end{equation}

**<span id="problem-2.7.P.5"></span>Problem 5.**
Consider [Problem 2.6.2](./S2.6.P.html#problem-2.6.2).
\begin{equation}
\left\\{\begin{aligned}
& u\_{tt}-c\_1^2u\_{xx}=0, &&&t\>0, x\>0,  \\\\
& u\_{tt}-c\_2^2u\_{xx}=0, &&&t\>0, x\<0,  \\\\
&u|\_{t=0}= \phi (x),   &&u\_t|\_{t=0}= c\_1\phi'(x) &x\>0, \\\\
&u|\_{t=0}=0, &&u\_t|\_{t=0}=0, &x\<0,\\\\
&u|\_{x=+0}=\alpha u|\_{x=-0}, &&u\_x|\_{x=+0}=\beta u\_x|\_{x=-0} &t\>0
\end{aligned}\right.
\end{equation}
Let 
\begin{align}
&E\_1(t)=\frac{m\_1}{2}\int\_0^\infty (u\_t^2 + c\_1^2 u\_x^2)\,dx,\\\\
&E\_2(t)=\frac{m\_2}{2}\int\_{-\infty}^0 (u\_t^2 + c\_2^2 u\_x^2)\,dx.
\end{align}

<ol type="a">
<li> Find ratio $m_1:m_2$ such that $E(t)=E_1(t)+E_2(t)$ is conserved.
<li> In this case prove that if $\phi (x)=0$ for $x > L$ then for $t > L/c_1$:
$E_1(t)= k_1 E(0)$ and $E_2(t)= k_2 E(0)$. 
<br>
Calculate $k_1,k_2$ and prove that $k_1+k_2=1$.
</ol>


______________

[$\Leftarrow$](./S2.6.html)&nbsp;&nbsp;[$\Uparrow$](../contents.html)&nbsp;&nbsp;[$\Rightarrow$](./S2.8.html)
