<link href="../markdown.css" rel="stylesheet"></link>

<title>3.2.P. Problems to Section 3.2</title>

<script type="text/javascript" src="https://cdn.mathjax.org/mathjax/latest/MathJax.js?config=TeX-AMS_HTML">
    MathJax.Hub.Config({
        tex2jax: {
            inlineMath: [ ['$','$'], ["\\(","\\)"] ],
            displayMath: [ ['$$','$$'], ["\\[","\\]"] ],},
        TeX: {equationNumbers: {
            autoNumber: "AMS"
          },Augment: {  Definitions: {
           macros: {
             overbracket:  ['UnderOver','23B4',1],
             underbracket: ['UnderOver','23B5',1],
           }
         }}},
    });
</script>

$\renewcommand{\Re}{\operatorname{Re}}$
$\renewcommand{\Im}{\operatorname{Im}}$
$\newcommand{\erf}{\operatorname{erf}}$
$\newcommand{\dag}{\dagger}$
$\newcommand{\const}{\mathrm{const}}$
$\newcommand{\arcsinh}{\operatorname{arcsinh}}$

###[Problems to Section 3.2](id:sect-3.2.P)

> 1. [Problem 1](#problem-3.2.P.1)
> 2. [Problem 2](#problem-3.2.P.2)
> 3. [Problem 3](#problem-3.2.P.3)
> 4. [Problem 4](#problem-3.2.P.4)
> 5. [Problem 5](#problem-3.2.P.5)
> 6. [Problem 6](#problem-3.2.P.6)
> 7. [Problem 7](#problem-3.2.P.7)
> 8. [Problem 8](#problem-3.2.P.8)
> 9. [Problem 9](#problem-3.2.P.9)
> 10. [Problem 10](#problem-3.2.P.10)
> 11. [Problem 11](#problem-3.2.P.11)
> 12. [Problem 12](#problem-3.2.P.12)


Crucial in many problems is formula ([3.2.14](./S3.2.html#mjx-eqn-eq-3.2.14))
rewritten as
\begin{equation}
u(x,t)=\int \_{-\infty}^\infty G(x,y,t) g(y)\,dy.
\label{a}
\end{equation}
with
\begin{equation}
G(x,y,t)=\frac{1}{2\sqrt{k\pi t}}e^{-\frac{(x-y)^2}{4kt}}
\label{b}
\end{equation}
This formula solves IVP for a heat equation
\begin{equation}
u\_t=ku\_{xx}
\label{c}
\end{equation}
with the initial function $g(x)$.

In many problems below for a modified standard problem you need to derive a similar formula albeit with modified $G(x,y,t)$. Consider
\begin{equation\*}
\erf(z)= \frac{2}{\sqrt{\pi}}\int\_0^ze^{-z^2}\,dz
\tag{Erf}\label{eq-Erf}
\end{equation\*}
as a standard function.


**<span id="problem-3.2.P.1"></span>Problem 1.**
Solve Cauchy problem for a heat equation
\begin{equation}
\left\\{\begin{aligned}
&u\_t =ku\_{xx}&&t>0,\ -\infty< x <\infty
\label{A}\\\\
&u|\_{t=0}= g(x)
\label{B}
\end{aligned}\right.
\label{C}\end{equation}
with

1. $g(x)=\left\\{\begin{aligned} &1 &&|x|<1, \\\\&0 &&|x|\ge 1;\end{aligned}\right.$;
2. $g(x)=\left\\{\begin{aligned} &1-|x| &&|x|<1, \\\\&0 &&|x|\ge 1\end{aligned}\right.$;
3. $g(x)=e^{-a |x|}$;
4. $g(x)=x e^{-a |x|}$;
5. $g(x)=|x| e^{-a|x|}$;
6. $g(x)=x^2 e^{-a|x|}$;
7. $g(x)=e^{-ax^2}$;
8. $g(x)=xe^{-ax^2}$;
9. $g(x)=x^2 e^{-ax^2}$.


**<span id="problem-3.2.P.2"></span>Problem 2.**
Using method of continuation obtain formula similar to
(\ref{a})-(\ref{b}) for solution of IBVP for a heat equation on
${x\>0,t\>0}$ with the initial function $g(x)$ and with

1.  Dirichlet boundary condition $u|_{x=0}=0$;
2.  Neumann boundary condition $u_x|_{x=0}=0$.

**<span id="problem-3.2.P.3"></span>Problem 3.**
Solve IBVP problem for a heat equation
\begin{equation}
\left\\{\begin{aligned}
&u\_t =ku\_{xx} &&t>0,\  0< x <\infty
\\\\
&u|\_{t=0}= g(x)
\\\\
&u|\_{x=0}=h(t)
\end{aligned}\right.
\end{equation}
with

1. $g(x)=1$, &nbsp;&nbsp;&nbsp; $h(t)=0$;
2. $g(x)=\left\\{\begin{aligned} &1 &&x<1, \\\\ &0 &&x\ge 1,\end{aligned}\right.$ &nbsp;&nbsp;&nbsp; $h(t)=0$;
3. $g(x)=\left\\{\begin{aligned} &1-x &&x<1, \\\\ &0 &&x\ge 1,\end{aligned}\right.$ &nbsp;&nbsp;&nbsp; $h(t)=0$;
4. 3. $g(x)=\left\\{\begin{aligned} &1-x^2 &&x<1, \\\\ &0 &&x\ge 1,\end{aligned}\right.$ &nbsp;&nbsp;&nbsp; $h(t)=0$;
5. $g(x)=e^{-ax}$, &nbsp;&nbsp;&nbsp; $h(t)=0$;
6. $g(x)=x e^{-ax}$, &nbsp;&nbsp;&nbsp; $h(t)=0$;
7. $g(x)= e^{-ax^2}$, &nbsp;&nbsp;&nbsp; $h(t)=0$;
8. $g(x)= x e^{-ax^2}$, &nbsp;&nbsp;&nbsp; $h(t)=0$;
9. $g(x)= x^2e^{-ax^2}$, &nbsp;&nbsp;&nbsp; $h(t)=0$;
10. $g(x)=0$, &nbsp;&nbsp;&nbsp; $h(t)=1$;
11. $g(x)=0$, &nbsp;&nbsp;&nbsp; $h(t)=\left\\{\begin{aligned} &1 &&t<1, \\\\ &0 &&t\ge 1.\end{aligned}\right.$

**<span id="problem-3.2.P.4"></span>Problem 4.**
\begin{equation}
\left\\{\begin{aligned}
&u\_t =ku\_{xx} &&t>0,\  0< x <\infty
\label{F}\\\\
&u|\_{t=0}= g(x)
\label{G}\\\\
&u\_x|\_{x=0}=h(t)
\end{aligned}\right.
\end{equation}
with

1.	$g(x)=1$, &nbsp;&nbsp;&nbsp; $h(t)=0$;
2. $g(x)=\left\\{\begin{aligned} &1 &&x<1, \\\\ &0 &&x\ge 1,\end{aligned}\right.$ &nbsp;&nbsp;&nbsp; $h(t)=0$;
3. $g(x)=\left\\{\begin{aligned} &1-x &&x<1, \\\\ &0 &&x\ge 1,\end{aligned}\right.$ &nbsp;&nbsp;&nbsp; $h(t)=0$;
4. $g(x)=e^{-x}$, &nbsp;&nbsp;&nbsp; $h(t)=0$;
5. $g(x)=x e^{-x}$, &nbsp;&nbsp;&nbsp; $h(t)=0$;
6. $g(x)= e^{-ax^2}$, &nbsp;&nbsp;&nbsp; $h(t)=0$;
7. $g(x)= x e^{-ax^2}$, &nbsp;&nbsp;&nbsp; $h(t)=0$;
8. $g(x)= x^2e^{-ax^2}$, &nbsp;&nbsp;&nbsp; $h(t)=0$;
9. $g(x)=0$, &nbsp;&nbsp;&nbsp; $h(t)=1$;
10. $g(x)=0$, &nbsp;&nbsp;&nbsp; $h(t)=\left\\{\begin{aligned} &1 &&t<1, \\\\ &0 &&t\ge 1.\end{aligned}\right.$

**<span id="problem-3.2.P.5"></span>Problem 5.**
Using method of continuation obtain formula similar to
(\ref{a})-(\ref{b}) for solution of IBVP for a heat equation on
$\{x >0,t >0\}$ with the initial function $g(x)$ and with

1.  Dirichlet boundary condition on both ends $u|_{x=0}=u|_{x=L}=0$;
2.  Neumann boundary condition on both ends $u_x|_{x=0}=u_x|_{x=L}=0$;
3.  Dirichlet boundary condition on one end and Neumann boundary condition on another $u|_{x=0}=u_x|_{x=L}=0$.

**<span id="problem-3.2.P.6"></span>Problem 6.**
Consider heat equation with a convection term
\begin{equation}
u\_t+\underbracket{c u\_x}\_{\text{convection term}} =ku\_{xx}.
\label{d}
\end{equation}

1. Prove that it is obtained from the ordinary heat equation with respect to $U$ by a change of variables $U(x,t)=u(x+ct, t)$. Interpret (\ref{d}) as equation describing heat propagation in the media moving to the right with the speed $c$.
2.  Using change of variables $u(x,t)=U(x-vt,t)$ reduce it to ordinary
heat equation and using (\ref{a})-(\ref{b}) for a latter write a formula for solution $u (x,t)$.
3. Can we use the method of continuation *directly* to solve IBVP with Dirichlet
or Neumann boundary condition at $x\>0$ for (\ref{d}) on $\{x >0,t >0\}$? Justify your answer.
4. Plugging $u(x,t)= v(x,t)e^{\alpha x +\beta t}$ with appropriate constants $\alpha,\beta$ reduce (\ref{d}) to ordinary heat equation.
5. Using (d) write formula for solution of such equation on the half-line or an interval in the case of Dirichlet boundary condition(s). Can we use this method in the case of Neumann boundary conditions? Justify your answer.

**<span id="problem-3.2.P.7"></span>Problem 7.**
Using either formula (\ref{a})-(\ref{b}) or its modification (if
needed)

1.  Solve IVP for a heat equation (\ref{c}) with
	$g(x)=e^{-\varepsilon |x|}$; what happens as $\varepsilon \to +0$?2.  Solve IVP for a heat equation with convection (\ref{d}) with
	$g(x)=e^{-\varepsilon |x|}$; what happens as $\varepsilon \to +0$?3.  Solve IBVP with the Dirichlet boundary condition for a heat equation
(\ref{d}) with $g(x)=e^{-\varepsilon |x|}$; what happens as $\varepsilon \to +0$?4.  Solve IBVP with the Neumann boundary condition for a heat equation (\ref{c}) with $g(x)=e^{-\varepsilon x}$; what happens as $\varepsilon \to +0$?

**<span id="problem-3.2.P.8"></span>Problem 8.**
Consider a solution of the diffusion equation $u_t=u_{xx}$ in
$[0\le x \le L, 0\le t <\infty]$.

Let \begin{gather\*}
M(T)= \max \_{[0\le x \le L, 0\le t \le T]} u(x,t),\\\\
m(T)= \min \_{[0\le x \le L, 0\le t \le T]} u(x,t).
\end{gather\*}

1.  Does $M(T)$ increase or decrease as a function of $T$?
2.  Does $m(T)$ increase or decrease as a function of $T$?

**<span id="problem-3.2.P.9"></span>Problem 9.**
The purpose of this exercise is to show that the maximum principle is
not true for the equation $u_t=xu_{xx}$ which has a  coefficient which changes sign.

1.  Verify that $u=-2xt-x^2$ is a solution.
2.  Find the location of its maximum in the closed rectangle
	$\{-2\le x\le 2, 0\le t\le 1\}$.
3.  Where precisely does our proof of the maximum principle break down for this equation?


**<span id="problem-3.2.P.10"></span>Problem 10.**

1.  Consider the heat equation on $J=(-\infty,\infty)$ and prove
that an *energy*
\begin{equation}
E(t)=\int\_J u^2 (x,t)\,dx
\label{eq-e}
\end{equation}
does not increase; further, show that it really decreases unless $u(x,t)=\const$;
2.  Consider the heat equation on $J=(0,l)$ with the Dirichlet or
Neumann boundary conditions and prove that an $E(t)$ does not
increase; further, show that it really decreases unless
$u(x,t)=\const$;
3.  Consider the heat equation on $J=(0,l)$ with the Robin boundary
conditions
\begin{gather}
u\_x(0,t)-a\_0u(0,t)=0,\\\\
u\_x(L,t)+a\_L u(L,t)=0.
\end{gather}
If $a_0 >0$ and $a_l >0$, show that the endpoints contribute to the decrease of $E(t)=\int _0^L u^2 (x,t) \,dx$.

This is interpreted to mean that part of the *energy* is lost at the
boundary, so we call the boundary conditions *radiating* or *dissipative*.

**Hint.** To prove decrease of $E(t)$ consider it derivative by $t$, replace $u_t$ by $ku_{xx}$ and integrate by parts.


**<span id="remark-3.2.P.1"></span>Remark 1.**
 In the case of heat (or diffusion) equation an *energy* given by (\ref{eq-e}) is rather mathematical artefact.

**<span id="problem-3.2.P.11"></span>Problem 11.**
Find a self–similar solution $u$ of
\begin{equation}
u\_t = (u^m u\_x)\_x  \qquad -\infty\< x \<\infty ,\  t>0
\label{f}
\end{equation}
with finite $\int_{-\infty}^\infty u\,dx$ and $m>0$.

**<span id="problem-3.2.P.12"></span>Problem 12.**
Find a self–similar solution $u$ of
\begin{equation}
u\_t = iku\_{xx}  \qquad
-\infty\< x \<\infty ,\ -\infty < t < \infty.
\label{h}
\end{equation}
with constant $I(t)=\int_{-\infty}^\infty u\,dx =1$.

*Hint.* Some complex variables required.

______________

[$\Uparrow$](../contents.html)&nbsp;&nbsp;[$\uparrow$](./S3.2.html)&nbsp;&nbsp;[$\Rightarrow$](../Chapter4/S4.1.html)
