<link href="../markdown.css" rel="stylesheet"></link>

<title>4.4. Orthogonal systems and Fourier series</title>

<script type="text/javascript" src="https://cdn.mathjax.org/mathjax/latest/MathJax.js?config=TeX-AMS_HTML">
    MathJax.Hub.Config({
        tex2jax: {
            inlineMath: [ ['$','$'], ["\\(","\\)"] ],
            displayMath: [ ['$$','$$'], ["\\[","\\]"] ],},
        TeX: {equationNumbers: {
            autoNumber: "AMS"
          },Augment: {  Definitions: {
           macros: {
             overbracket:  ['UnderOver','23B4',1],
             underbracket: ['UnderOver','23B5',1],
           }
         }}},
    });
</script>

$\renewcommand{\Re}{\operatorname{Re}}$
$\renewcommand{\Im}{\operatorname{Im}}$
$\newcommand{\erf}{\operatorname{erf}}$
$\newcommand{\dag}{\dagger}$
$\newcommand{\const}{\mathrm{const}}$
$\newcommand{\arcsinh}{\operatorname{arcsinh}}$

##4.4. Orthogonal systems and Fourier series

--------------

> 1.  [Formulae](#sect-4.4.1)
> 2.  [Completeness of the system (\ref{eq-4.4.1})](#sect-4.4.2)
> 3.  [Pointwise convergence](#sect-4.4.3)
> 4.  [Pointwise convergence. II](#sect-4.4.4)

###<span id="sect-4.4.1"></span>Formulae

Consider system of functions
\begin{equation}
\Bigl\\{\frac{1}{2},\qquad \cos (\frac{\pi nx}{l}), \qquad
\sin
(\frac{\pi nx}{l}) \quad n=1,\ldots\Bigr\\}
\label{eq-4.4.1}
\end{equation}
on interval $J:=[x\_0,x\_1]$ with $(x\_1-x\_0)=2l$.

These are eigenfunctions of $X''+\lambda X=0$ with periodic boundary
conditions $X(x\_0)=X(x\_1)$, $X'(x\_0)=X'(x\_1)$.

**<span id="prop-4.4.1"></span>Proposition 1.**
\begin{align\*}
& \int\_J \cos (\frac{\pi mx}{l})\cos (\frac{\pi nx}{l})\,dx =
 l \delta\_{mn},\\\\
& \int\_J
\sin (\frac{\pi mx}{l})\sin (\frac{\pi nx}{l})\,dx =
l \delta\_{mn},\\\\
& \int\_J \cos (\frac{\pi mx}{l})\sin (\frac{\pi nx}{l})\,dx = 0,
\end{align\*}
and
\begin{align\*}
& \int\_J \cos (\frac{\pi mx}{l})\,dx =0,\qquad
& \int\_J \sin (\frac{\pi mx}{l})\,dx=0,\qquad
& \int\_J \,dx =2l
\end{align\*}
for all $m,n=1,2,\ldots$.


*Proof.* Easy; use formulae \begin{gather\*} 2\cos
(\alpha)\cos(\beta)=\cos(\alpha-\beta)+\cos(\alpha+\beta),\\\\
2\sin
(\alpha)\sin(\beta)=\cos(\alpha-\beta)-\cos(\alpha+\beta),\\\\
2\sin
(\alpha)\cos(\beta)=\sin(\alpha-\beta)+\sin(\alpha+\beta).
\end{gather\*}


Therefore according to the previous  [Section 4.3](./S4.3.html) we arrive to decomposition
\begin{equation}
f(x)= \frac{1}{2}a\_0 + \sum\_{n=1}^\infty
\bigl( a\_n\cos (\frac{\pi nx}{l})+b\_n \sin (\frac{\pi nx}{l}) \bigr)
\label{eq-4.4.2}
\end{equation}
with coefficients calculated according to ([4.3.7](./S4.3.html#mjx-eqn-eq-4.3.7))
\begin{align}
a\_n=& \frac{1}{l}\int\_J f(x)\cos (\frac{\pi nx}{l})\,dx \qquad n=0,1,2,\ldots,
\label{eq-4.4.3}\\\\
b\_n= & \frac{1}{l}\int\_J f(x)\sin (\frac{\pi nx}{l})\,dx \qquad n=1,2,\ldots,
\label{eq-4.4.4}
\end{align}
and satisfying *Parseval's equality*
\begin{equation}
\frac{l}{2}|a\_0|^2 +\sum\_{n=1}^\infty l\bigl( |a\_n|^2+|b\_n |^2 \bigr) =\int\_J |f(x)|^2\,dx.
\label{eq-4.4.5}
\end{equation}

So far this is an *optional* result: provided we can decompose function $f(x)$.

###<span id="sect-4.4.2"></span>Completeness of the system (\ref{eq-4.4.1})

Now our goal is to prove that any function $f(x)$ on $J$ could be
decomposed into Fourier series (\ref{eq-4.4.2}). First we need

**<span id="lemma-4.4.1"></span>Lemma 1.**
Let $f(x)$ be a piecewise-continuous function on $J$.
Then
\begin{equation}
\int\_J f(x)\cos(\omega x)\,dx\to 0\qquad \text{as } \omega \to \infty \label{eq-4.4.6}
\end{equation}
and the same is true for $\cos(\omega x)$ replaced by $\sin(\omega x)$.

*Proof.* (a) Assume first that $f(x)$ is continuously differentiable on $J$. Then integrating by parts
\begin{equation\*}
\int\_J f(x)\cos(\omega x)\,dx=
\omega^{-1}f(x)\sin(\omega x)\bigr|\_{x\_0}^{x\_1} -
\omega^{-1}\int\_J f(x)\sin(\omega x)\,dx=O(\omega^{-1}).
\end{equation\*}

(b) Assume now only that $f(x)$ is continuous on $J$. Then it could be uniformly approximated by continuous functions (proof is not difficult but we skip it anyway):
\begin{equation\*}
\forall
\varepsilon\>0
\exists f\_\varepsilon \in C^1(J):   \forall x\in J
|f(x)-f\_\varepsilon (x)|\le \varepsilon.
\end{equation\*}
Then obviously the difference between integrals (\ref{eq-4.4.6}) for $f$ and for $f\_\varepsilon$ does not exceed $2l\varepsilon$; so choosing
$\varepsilon =\varepsilon(\delta)= \delta/(4l)$ we make it $\<\delta/2$. After $\varepsilon $ is chosen and $f\_\varepsilon$ fixed we can choose
$\omega\_\varepsilon$ s.t. for $\omega\>\omega\_\varepsilon$ integral (\ref{eq-4.4.6}) for $f\_\varepsilon$ does not exceed $\delta/2$ in virtue of (a). Then integral (\ref{eq-4.4.6}) for $f$ does not exceed $\delta$.

(c) Integral (\ref{eq-4.4.6}) for interval $J$ equals to the sum of integrals over intervals where $f$ is continuous. $\square$

Now calculate coefficients according to (\ref{eq-4.4.3})-(\ref{eq-4.4.4}) (albeit plug $y$ instead of $x$) and plug into partial sum:
\begin{multline}
S\_N (x):=\frac{1}{2}a\_0 +
\sum\_{n=1}^N \Bigl( a\_n\cos (\frac{\pi nx}{l})+b\_n \sin (\frac{\pi nx}{l}) \Bigr)=\\\\
\frac{1}{l}\int\_J K\_N(x,y)f(y)\,dy\qquad
\label{eq-4.4.7}
\end{multline}
with
\begin{multline}
K\_N(x,y)=\frac{1}{2}+  \\\\
\sum\_{n=1}^N \Bigl( \cos (\frac{\pi ny}{l}) \cos (\frac{\pi nx}{l})+
\sin (\frac{\pi ny}{l}) \sin (\frac{\pi nx}{l}) \Bigr)\\\\=
\frac{1}{2} + \sum\_{n=1}^N \cos (\frac{\pi n(y-x)}{l}).\qquad
\label{eq-4.4.8}
\end{multline}
Note that
\begin{multline\*}
\sum\_{n=1}^N \sin (\frac{1}{2}z)\cos (z)=
\sum\_{n=1}^N \bigl(\sin ((n+\frac{1}{2})z)- \sin ((n-\frac{1}{2})z) =\\\\
\sin ((N+\frac{1}{2})z)-\sin (\frac{1}{2}z)
\end{multline\*}
and therefore
\begin{equation}
K\_N(x,y)=\frac{\sin (k (N+\frac{1}{2})(x-y))}{\sin(k(x-y))},\qquad
k=\frac{\pi}{l}.
\label{eq-4.4.9}
\end{equation}
So
\begin{equation}
S\_N (x) =
\frac{1}{l}\int\_J \frac{\sin (k (N+\frac{1}{2})(x-y))}{\sin(k(x-y))}f(y)\,dy \label{eq-4.4.10}
\end{equation}
We cannot apply [Lemma 1](#lemma-4.4.1) to this integral immediately because of denominator.

Assume that $x$ is internal point of $J$. Note that denominator vanishes on $J$ only as $y=x$. Really, $\frac{\pi}{2l}(x-y)\< \pi$. Also note that derivative of
denominator does not vanish as $y=x$. Then $f(y)/\sin(k(x-y))$ is a
piecewise continuous function of $y$ provided all three conditions
below are fulfilled:

1.  $f$ is piecewise continuously differentiable function,
2.  $f$ is continuous in $x$
3.  $f(x)=0$ (we are talking about a single point).

In this case we can apply [Lemma 1](#lemma-4.4.1) and we conclude that $S\_N(x)\to 0$ as $N\to \infty$. So,

*If $f$ satisfies (a)-(c) then $S\_N(x)\to f(x)$ as $N\to \infty$.*

Let us drop condition $f(x)=0$. Then we can decompose
\begin{multline}
S\_N (x)= \frac{1}{l}\int\_J
\frac{\sin (k (N+\frac{1}{2})(x-y))}{\sin(k(x-y))}\bigl(f(y)-f(x)\bigr)\,dy+\\\\
\frac{1}{l} \int\_J \frac{\sin (k (N+\frac{1}{2})(x-y))}{\sin(k(x-y)}f(x)\,dy\qquad
\label{eq-4.4.11}
\end{multline}
and the first integral tends to $0$ due to <a href="#lemma-4.4.1">Lemma 1</a>. We
claim that the second integral is identically equal $f(x)$. Indeed, we
can move $f(x)$ out of integral and consider
\begin{multline}
\frac{1}{l}\int\_J \frac{\sin (k (N+\frac{1}{2})(x-y))}{\sin(k(x-y))}\,dy=\\\\
\frac{1}{l}\int\_J
\bigl(\frac{1}{2}+\sum\_{n=1}^N \cos (\frac{\pi n(y-x)}{l})\bigr)\,dy  \qquad\label{eq-4.4.12}
\end{multline}
where integral of the first term equals $l$ and integral of all other terms vanish.

###<span id="sect-4.4.3"></span>Pointwise convergence

Therefore we arrive to

**<span id="thm-4.4.1"></span>Theorem 1.**
Let $x$ be internal point of $J$ (i.e. $x\_0\< x\< x\_1$) and let

a. $f$ be a piecewise continuously differentiable function,
b. $f$ be continuous in $x$.
Then the Fourier series converges to $f(x)$ at $x$.

###<span id="sect-4.4.4"></span>Pointwise convergence. II]

Assume now that there is a jump at $x$. Then we need to be more subtle. First, we can replace $f(x)$ by its $2l$-periodic continuation from $J$ to $\mathbb{R}$. Then we can take any interval of the length $2l$ and result will be the same. So we take $[x-l,x+l]$. Now
\begin{align\*}
S\_N (x)=
\frac{1}{l}\int\_{J^-} \frac{\sin (k (N+\frac{1}{2})(x-y))}{\sin(k(x-y))}
\bigl(f(y)-f(x-0)\bigr)\,dy&+\\\\
\frac{1}{l}\int\_{J^+} \frac{\sin (k (N+\frac{1}{2})(x-y))}{\sin(k(x-y))} \bigl(f(y)-f(x+0)\bigr)\,dy&+\\\\
\frac{1}{l} \int\_{J^-} \frac{\sin (k (N+\frac{1}{2})(x-y))}{\sin(k(x-y)}f(x-0)\,dy&+\\\\
\frac{1}{l} \int\_{J^+}
\frac{\sin (k (N+\frac{1}{2})(x-y))}{\sin(k(x-y)}f(x+0)\,dy&
\end{align\*}
with $J^-=(x-l,l)$, $J^+=(x,x+l)$. According to <href="#lemma-4.4.1">Lemma 1</a> again the first two integrals tend to $0$ and we need to consider integrals
\begin{align\*}
\frac{1}{l} \int\_{J^-}
\frac{\sin (k (N+\frac{1}{2})(x-y))}{\sin(k(x-y)}\,dy\,\\\\
\frac{1}{l} \int\_{J^+} \frac{\sin (k (N+\frac{1}{2})(x-y))}{\sin(k(x-y)}\,dy. \end{align\*}
Using back transformation like in (\ref{eq-4.4.12}) we conclude that both these
integrals are equal to $\frac{1}{2}$. Therefore we proved

**<span id="thm-4.4.2"></span>Theorem 2.**
Let $f$ be a piecewise continuously differentiable function. Then the Fourier series converges to

a.  $f(x)$ if $x$ is internal point and $f$ is continuous at
    $x$;
b.  $\frac{1}{2}\bigl(f(x+0)+f(x-0)\bigr)$ if $x$ is internal
    point and $f$ is discontinuous at $x$;
c.  $\frac{1}{2}\bigl(f(x\_0+0)+f(x\_1-0)\bigr)$ if $x=x\_0$ or
    $x=x\_1$. Recall that $x\_0$ and $x\_1$ are the ends.

The last two statements are called *Stokes phenomenon*. Below are partial sums of sin-Fourier decomposition of $u(x)=1$.

<center>![image](./F4.4-1.svg)</center>

______________

[$\Leftarrow$](./S4.2.html)&nbsp;&nbsp;[$\Uparrow$](../contents.html)&nbsp;&nbsp;[$\Rightarrow$](./S4.5.html)
