<link href="../markdown.css" rel="stylesheet"></link>

<title>4.B. Multidimensional Fourier series</title>

<script type="text/javascript" src="https://cdn.mathjax.org/mathjax/latest/MathJax.js?config=TeX-AMS_HTML">
    MathJax.Hub.Config({
        tex2jax: {
            inlineMath: [ ['$','$'], ["\\(","\\)"] ],
            displayMath: [ ['$$','$$'], ["\\[","\\]"] ],},
        TeX: {equationNumbers: {
            autoNumber: "AMS"
          },Augment: {  Definitions: {
           macros: {
             overbracket:  ['UnderOver','23B4',1],
             underbracket: ['UnderOver','23B5',1],
           }
         }}},
    });
</script>

$\renewcommand{\Re}{\operatorname{Re}}$
$\renewcommand{\Im}{\operatorname{Im}}$
$\newcommand{\erf}{\operatorname{erf}}$
$\newcommand{\dag}{\dagger}$
$\newcommand{\const}{\mathrm{const}}$
$\newcommand{\arcsinh}{\operatorname{arcsinh}}$


##Appendix 4.B.  Multidimensional Fourier series
------------------------------------
> 1. [$2\pi$-periodic case](#sect-4.B.1)
> 2. [General case](#sect-4.B.2)
> 3. [Special decomposition](#sect-4.B.3)


###<span id="sect-4.B.1"></span>$2\pi$-periodic case
Let function $u(\mathbf{x})$, $\mathbf{x}=(x\_1,x\_2,\ldots,x\_n)$ be $2\pi$-periodic with respect to each variable $x\_1,x\_2,\ldots,x\_n$. Then
\begin{equation}
u(\mathbf{x})= \sum\_{\mathbf{m}\in \mathbb{Z}^n}
c\_{\mathbf{m}} e^{ i \mathbf{m}\cdot \mathbf{x}}
\label{eq-4.B.1}
\end{equation}
with
\begin{equation}
c\_{\mathbf{m}} =(2\pi)^{-n} \iiint\_\Omega e^{- i \mathbf{m}\cdot \mathbf{x}} u(\mathbf{x})\,d^nx
\label{eq-4.B.2}
\end{equation}
and
\begin{equation}
\sum_{\mathbf{m}\in \mathbb{Z}^n} |c\_{\mathbf{m}}|^2 =(2\pi)^{-n} \iiint\_\Omega |u(\mathbf{x})|^2\,d^n x
\label{eq-4.B.3}
\end{equation}
where $\Omega=(0,1)^n$ is $n$-dimensional unit cube. Here and below we write $n$-dimensional integral as $\iiint$.

We need slightly generalize these formulae.

###<span id="sect-4.B.2"></span>General case

**<span id="definition-4.B.1"></span>Definition 1.**
Let $\Gamma$ be *$n$-dimentional lattice*. It means that there are $n$ linearly independent vectors $\mathbf{e}\_1, \ldots,  \mathbf{e}\_n$ and
\begin{equation}
\Gamma = \\{ (k\_1 \mathbf{e}\_1 + k\_2 \mathbf{e}\_2+\ldots +k\_n \mathbf{e}\_n:\, k\_1,k_2,\ldots,k\_n\in \mathbb{Z}\\}
\label{eq-4.B.4}
\end{equation}


**<span id="remark-4.B.1"></span>Remark 1.**
The same lattice $\Gamma$ is defined by vectors
$\mathbf{e}'\_1, \ldots,  \mathbf{e}'\_n$ with
$\mathbf{e}'\_j=\sum \_k \alpha\_{jk}\mathbf{e}\_k$ with integer coefficients if and only if the determinant of the matrix $(\alpha\_{jk})\_{j,k=1,\ldots,n}$ of coefficients is equal $\pm 1$.


**<span id="definition-4.B.2"></span>Definition 2.**
Let $\Gamma$ be *$n$-dimentional lattice*. We call $u(\mathbf{x})$ *periodic with respect to $\Gamma$* or simply *$\Gamma$-periodic* if
\begin{equation}
u(\mathbf{x}+\mathbf{y})= u(\mathbf{x})\qquad \forall \mathbf{y}\in \Gamma\ \forall \mathbf{x}.
\label{eq-4.B.5}
\end{equation}


In the [previous Subsection](#sect-4.B.1) $\Gamma= (2\pi\mathbb{Z})^n$.
Let us change coordinate system so that $\Gamma$ becomes $(2\pi\mathbb{Z})^n$, apply  (\ref{eq-4.B.1})--(\ref{eq-4.B.3}) and then change coordinate system back. We get
\begin{equation}
u(\mathbf{x})= \sum\_{\mathbf{m}\in \Gamma^\*}
c\_{\mathbf{m}} e^{ i \mathbf{m}\cdot \mathbf{x}}
\label{eq-4.B.6}
\end{equation}
with
\begin{equation}
c\_{\mathbf{m}} =|\Omega |^{-1}
\iiint\_\Omega e^{- i \mathbf{m}\cdot \mathbf{x}} u(\mathbf{x})\,d^n x
\label{eq-4.B.7}
\end{equation}
and
\begin{equation}
\sum_{\mathbf{m}\in \Gamma^\*} |c\_{\mathbf{m}}|^2 =|\Omega|^{-1}
 \iiint\_\Omega |u(\mathbf{x})|^2\,d^n x
\label{eq-4.B.8}
\end{equation}
where $|\Omega|$ is a volume of $\Omega$  and

**<span id="definition-4.B.3"></span>Definition 3.**

1. $\Omega =\\{x\_1 \mathbf{e}\_1+\ldots + x\_n \mathbf{e}\_n:\, 0< x\_1<1,\ldots,0< x\_n<1 \\}$ is *an elementary cell*;
2. $\Gamma^\* =\\{\mathbf{m}:\, \mathbf{m}\cdot \mathbf{y}\in 2\pi \mathbb{Z}\ \ \forall \mathbf{y}\in \Gamma\\}$ is *a dual lattice*; it could be defined by vectors $\mathbf{e}^\*\_1,\ldots, \mathbf{e}^\*\_n$ such that
\begin{equation}
\mathbf{e}^\*\_j \cdot \mathbf{e}\_k=2\pi \delta\_{jk}\quad \forall j,k=1,\ldots,n
\label{eq-4.B.9}
\end{equation}
where $\delta\_{jk}$ is a Kronecker symbol;
3. $\Omega^\* =\\{k\_1 \mathbf{e}\_1^\*+\ldots + k\_n \mathbf{e}\_n^\*:\,
0< k\_1<1,\ldots,0< k\_n<1 \\}$ is *a dual elementary cell*.


**<span id="remark-4.B.2"></span>Remark 2.**
We prefer to use original coordinate system  rather than one with coordinate vectors $(2\pi)^{-1}\mathbf{e}\_1,\ldots, (2\pi)^{-1}\mathbf{e}\_n$ because the latter is not necessarily orthonormal and in it Laplacian will have a different form.

###<span id="sect-4.B.3"></span>Special decomposition


These notions are important for studying the *band spectrum* of the Schrödinger operator $-\Delta +V(\mathbf{x})$ with periodic (with respect to some lattice $\Gamma$) potential in the whole space which has applications to the Physics of crystals. For this the following decomposition is used for functions $u(\mathbf{x})$ in the whole space $\mathbb{R}^n$

**<span id="thm-4.B.1"></span>Theorem 1.**
Let $u(\mathbf{x})$ be sufficiently fast decaying function on $\mathbb{R}^n$. Then
\begin{equation}
u(\mathbf{x})=
\iiint\_{\Omega^\*}  u(\mathbf{k};\mathbf{x})\,d^n\mathbf{k}
\label{eq-4.B.10}
\end{equation}
with
\begin{equation}
u(\mathbf{k};\mathbf{x})=
(2\pi)^{-n}|\Omega|  \sum\_{\mathbf{l}\in \Gamma} e^{-i\mathbf{k}\cdot \mathbf{l}} u(\mathbf{x}+\mathbf{l}).
\label{eq-4.B.11}
\end{equation}
Here $u(\mathbf{k};\mathbf{x})$ is *quasiperiodic with quasimomentum $\mathbf{k}$*
\begin{equation}
u(\mathbf{k};\mathbf{x}+\mathbf{y})= e^{i\mathbf{k}\cdot\mathbf{y}}u(\mathbf{k};\mathbf{x})\qquad \forall \mathbf{y}\in \Gamma\ \forall \mathbf{x}.
\label{eq-4.B.12}
\end{equation}


*Proof.*
Observe that since $u$ is sufficiently fast decaying series in (\ref{eq-4.B.11}) converges and one can see easily that it defines quasiperiodic with quasimomentum $\mathbf{k}$ function.

The proof of (\ref{eq-4.B.10}) is trivial as $\iiint\_{\Omega^\*} e^{-i\mathbf{k}\cdot \mathbf{l}} \,d^n\mathbf{k}=|\Omega^\*|$ as $\mathbf{l}=0$ and $0$ as $0\ne \mathbf{l}\in \Gamma$, and $|\Omega^\*|=(2\pi)^n|\Omega|^{-1}$.

<center>
![Lattice](Fig-4.B-1.svg) &nbsp;&nbsp; &nbsp;&nbsp; ![Dual lattice](Fig-4.B-2.svg)

Lattice and elementary cell; &nbsp;&nbsp; Dual lattice and dual elementary cell
</center>

__________

[$\Leftarrow$](./S4.5.html)&nbsp;&nbsp;[$\Uparrow$](../contents.html)&nbsp;&nbsp;[$\Rightarrow$](./S4.C.html)


