<link href="../markdown.css" rel="stylesheet"></link>

<title>Problems to Chapter 8</title>

<script type="text/javascript" src="https://cdn.mathjax.org/mathjax/latest/MathJax.js?config=TeX-AMS_HTML">
    MathJax.Hub.Config({
        tex2jax: {
            inlineMath: [ ['$','$'], ["\\(","\\)"] ],
            displayMath: [ ['$$','$$'], ["\\[","\\]"] ],},
        TeX: {equationNumbers: {
            autoNumber: "AMS"
          },Augment: {  Definitions: {
           macros: {
             overbracket:  ['UnderOver','23B4',1],
             underbracket: ['UnderOver','23B5',1],
           }
         }}},
    });
</script>

$\renewcommand{\Re}{\operatorname{Re}}$
$\renewcommand{\Im}{\operatorname{Im}}$
$\newcommand{\erf}{\operatorname{erf}}$
$\newcommand{\dag}{\dagger}$
$\newcommand{\const}{\mathrm{const}}$
$\newcommand{\arcsinh}{\operatorname{arcsinh}}$


###Problems to Chapter 8

> 1. [Problem 1](#problem-8.P.1)
> 2. [Problem 2](#problem-8.P.2)
> 3. [Problem 3](#problem-8.P.3)



**<span id="problem-8.P.1">Problem 1.</span>**

1.  Write Laplace equation in spherical coordinates.
2.  Look for a solution in the form $u=P(\rho)\Phi(\phi)\Theta(\theta)$.
3.  Write equations and their solutions for $P$ and $\Theta$.
4.  Write equation (with parameters $l$ and $m$) for $\Phi$; what values can take $(l,m)$?

**<span id="problem-8.P.2">Problem 2.</span>**

For equation to $\Phi$ find solutions in the form $L(\cos(\phi))$ where $L$ is a polynomial of degree $l$ with respect to $\cos(\phi),\sin(\phi)$ in the following cases:

1. $l=0$ and all possible values $m$;
2. $l=1$ and all possible values $m$;
3. $l=2$ and all possible values $m$;
4. $l=3$ and $m=0$.

**<span id="problem-8.P.3">Problem 3.</span>**

1. Solve
\begin{align}
&\Delta u=0 && x^2+y^2+z^2< 1,\label{8.P.1}\\\\
&u=g(x,y,z) && x^2+y^2+z^2=1 \label{8.P.2}
\end{align}
with $g(x,y,z)$ defined below. <br>
*Hint*. If $g$ is a polynomial of degree $m$ look for
\begin{equation}
u=g - P(x,y,z)(x^2+y^2+z^2-R^2)
\label{8.P.3}
\end{equation}
 with $P$ a polynomial of degree  $(m-2)$. Here $R$ is the radius of the ball. If $g$ has some rotational symmetry, so $P$ has.

2. Represent $u$ as a sum of homogeneous harmonic polynomials.

3. Plug $x=\rho \sin(\phi)\cos(\theta)$, $x=\rho \sin(\phi)\sin(\theta)$, $z=\rho \cos(\phi)$.

1. $g=x^2+y^2-z^2$.
2. $g=z(x^2+y^2)$.
3. $g=xyz$.
4. $g=x^4+y^4+z^4$.







---------------

[$\Leftarrow$](./S8.1.html)&nbsp;&nbsp;[$\Uparrow$](../contents.html)&nbsp;&nbsp;[$\uparrow$](./S8.2.html)&nbsp;&nbsp;[$\Rightarrow$](../Chapter9/S9.1.html)


