<link href="../markdown.css" rel="stylesheet"></link>

<title>A.2. Notations</title>

<script type="text/javascript" src="https://cdn.mathjax.org/mathjax/latest/MathJax.js?config=TeX-AMS_HTML">
    MathJax.Hub.Config({
        tex2jax: {
            inlineMath: [ ['$','$'], ["\\(","\\)"] ],
            displayMath: [ ['$$','$$'], ["\\[","\\]"] ],},
        TeX: {equationNumbers: {
            autoNumber: "AMS"
          },Augment: {  Definitions: {
           macros: {
             overbracket:  ['UnderOver','23B4',1],
             underbracket: ['UnderOver','23B5',1],
           }
         }}},
    });
</script>

$\renewcommand{\Re}{\operatorname{Re}}$
$\renewcommand{\Im}{\operatorname{Im}}$
$\newcommand{\erf}{\operatorname{erf}}$
$\newcommand{\dag}{\dagger}$
$\newcommand{\const}{\mathrm{const}}$


##A.2. Some notations
Compare behaviour of two functions $f(\mathbf{x})$ and $g(\mathbf{x})$ as
$\mathbf{x}$ "tends to something" (in the usage it is clear).

**<span id="definition-A.2.1"></span>Definition 1**

1. $f=O(g)$ : if $f/g$ is bounded: $|f|\le M|g|$ with some constant $M$;
2. $f=o(g)$ : if $f/g\to 0$: $\lim (f/g)=0$;
3. $f\sim g$ : if $f/g\to 1$: $\lim (f/g)=1$ which is equivalent to $f=g+o(g)$ or $f=g(1+o(1))$;
4. $f \asymp g$ : if $f=O(g)$ and $g=O(f)$ which means that $M^{-1}|g|\le f\le M|g|$. We say then that $f$ and $g$ have the same magnitudes.

Obviously (3) implies (4) but (4) does not imply (3).


See in details [Wikipedia](https://en.wikipedia.org/wiki/Big_O_notation); also $\Omega$ notation (which we do not use).



_________

[$\Leftarrow$](../Chapter14/S14.2.html)&nbsp;&nbsp;[$\Uparrow$](../contents.html)


