<link href="../markdown.css" rel="stylesheet"></link>

<title>Problems to Sections 5.1, 5.2</title>

<script type="text/javascript" src="https://cdn.mathjax.org/mathjax/latest/MathJax.js?config=TeX-AMS_HTML">
    MathJax.Hub.Config({
        tex2jax: {
            inlineMath: [ ['$','$'], ["\\(","\\)"] ],
            displayMath: [ ['$$','$$'], ["\\[","\\]"] ],},
        TeX: {equationNumbers: {
            autoNumber: "AMS"
          },Augment: {  Definitions: {
           macros: {
             overbracket:  ['UnderOver','23B4',1],
             underbracket: ['UnderOver','23B5',1],
           }
         }}},
    });
</script>

$\renewcommand{\Re}{\operatorname{Re}}$
$\renewcommand{\Im}{\operatorname{Im}}$
$\newcommand{\erf}{\operatorname{erf}}$
$\newcommand{\dag}{\dagger}$
$\newcommand{\const}{\mathrm{const}}$
$\newcommand{\arcsinh}{\operatorname{arcsinh}}$

###<span id="sect-5.2.P"></span>Problems to Sections 5.1, 5.2
> 1. [Problem 1](#problem-5.2.P.1)
> 2. [Problem 2](#problem-5.2.P.2)
> 3. [Problem 3](#problem-5.2.P.3)
> 4. [Problem 4](#problem-5.2.P.4)
> 5. [Problem 5](#problem-5.2.P.5)
> 6. [Problem 6](#problem-5.2.P.6)
> 7. [Problem 7](#problem-5.2.P.7)


Some of the problems  could be solved based on the
other problems and properties of Fourier transform (see [Section 5.2](./S5.2.html)) and such solutions are much shorter than from the
scratch; seeing and exploiting connections is a plus.

**<span id="problem-5.2.P.1"></span>Problem 1.**
Let $F$ be an operator of Fourier transform: $f(x)\to \hat{f}(k)$. Prove that

1. $F^\*F=FF^\*=I$;
2. $(F^2 f)(x)=f(-x)$ and therefore $F^2f=f$ for even function $f$ and $F^2=-f$ for odd function $f$;
3. $F^4=I$;
4. If $f$ is a real-valued function then $\hat{f}$  is real-valued if and only if $f$ is even and $i\hat{f}$ is real-valued if and only if $f$ is odd.


**<span id="problem-5.2.P.2"></span>Problem 2.**
Let $\alpha\>0$. Find Fourier transforms of

1.  $e^{-\alpha|x|}$;
2.  $e^{-\alpha|x|}\cos(\beta x)$, $e^{-\alpha|x|}\sin (\beta x)$ with $\beta\>0$;
3.  $x e^{-\alpha|x|}$ with $\beta\>0$;
4.  $xe^{-\alpha|x|}\cos(\beta x)$, $x e^{-\alpha|x|}\sin (\beta x)$ with $\beta\>0$.


**<span id="problem-5.2.P.3"></span>Problem 3.**
Let $\alpha\>0$. Find Fourier transforms of

1.  $(x^2+\alpha^2)^{-1}$;
2.  $x(x^2+\alpha^2)^{-1}$;
3.  $(x^2+\alpha^2)^{-1}\cos (\beta x)$,
    $(x^2+\alpha^2)^{-1}\sin(\beta x)$;
4.  $x(x^2+\alpha^2)^{-1}\cos (\beta x)$,
    $x(x^2+\alpha^2)^{-1}\sin(\beta x)$.


**<span id="problem-5.2.P.4"></span>Problem 4.**
Let $\alpha\>0$. Based on Fourier transform of $e^{-\alpha x^2/2}$ find Fourier transforms of

1.  $e^{-\alpha x^2/2}\cos (\beta x)$, $e^{-\alpha x^2/2}\sin (\beta x)$;
2.  $ x e^{-\alpha x^2/2}\cos (\beta x)$, $x e^{-\alpha x^2/2}\sin (\beta x)$.

**<span id="problem-5.2.P.5"></span>Problem 5.**
Find Fourier transforms of

a.  $f(x)=\left\\{\begin{aligned} & 1&& |x|\le a,\\\\
   & 0 && |x|\> a;\end{aligned}\right.$

b.  $f(x)=\left\\{\begin{aligned} & x && |x|\le a,\\\\
  & 0 && |x|\> a;\end{aligned}\right.$

c.  Using (a) calculate $\int\_{-\infty}^\infty \frac{\sin  (x)}{x}\,dx$.


**<span id="problem-5.2.P.6"></span>Problem 6.**

1. Prove the same properties as in [Problem 1](#problem-5.2.P.1) for multidimensional Fourier tramsform (see [Subection 5.2.A](./S5.2.A.html).

2. Prove that $f$ if multidimensional function $f$ has a rotational symmetry (that means $f(Q\mathbf{x})= f(\mathbf{x})$ for all orthogonal transform $Q$) then $\hat{f}$ also has a rotational symmetry (and conversely).

*Note.* Equivalently $f$ has a rotational symmetry if $f(\mathbf{x})$depend only on $|\mathbf{x}|$.

**<span id="problem-5.2.P.7"></span>Problem 7.**
Find multidimenxional Fourier transforms of

1.   $f(x)=\left\\{\begin{aligned} & 1&& |\mathbf{x}|\le a,\\\\
   & 0 && |\mathbf{x}|\> a;\end{aligned}\right.$

2.  $f(x)=\left\\{\begin{aligned} &a-|\mathbf{x}| &&|\mathbf{x}|\le a,\\\\
    &0 &&|\mathbf{x}|\> a,
    \end{aligned}\right.$;
3.  $f(x)=\left\\{\begin{aligned} &a^2-|\mathbf{x}|^2 &&|\mathbf{x}|\le a,\\\\
    &0 &&|\mathbf{x}|\> a,
    \end{aligned}\right.$;
4.  $f(x)=e^{-\alpha |\mathbf{x}|}$.

*Hint.* Using [Problem 6(b)](id:problem-5.2.P.6) observe that we need to find only $\hat{f}(0,\ldots,0, k)$ and use appropriate coordinate system (polar as $n=2$, or spherical as $n=3$ and so one).

*Note.* This problem could be solved as $n=2$, $n=3$ or $n\ge 2$ (any).

___________________

[$\Uparrow$](../contents.html)&nbsp;&nbsp;[$\uparrow$](./S5.2.html)&nbsp;&nbsp;[$\Rightarrow$](./S5.3.html)

